%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The 'shocks' block specifies the non zero elements of the covariance 
% matrix of the shocks of exogenous variables.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
shocks; 
var e_xp;       stderr stdxp_p;
var e_lambdaf;  stderr stdlambdaf_p;
var e_pitarget; stderr stdpitarget_p;
var e_muup;     stderr stdmuup_p;
var e_g;        stderr stdg_p;
var e_muzstar;  stderr stdmuzstar_p;
@# if cee == 0
var e_gamma;    stderr stdgamma_p;
@# endif
var e_epsil;    stderr stdepsil_p;
@# if cee == 0
var e_sigma;    stderr @{stopunant};
@# endif
var e_zetac;    stderr stdzetac_p;
var e_zetai;    stderr stdzetai_p;
@# if cee == 0
@#if Spread1_in_financial_data
var e_term;     stderr stdterm_p;
@#else
var e_term;     stderr 0;
@#endif
var e_xi8;      stderr @{stopsignal};
var e_xi7;      stderr @{stopsignal};
var e_xi6;      stderr @{stopsignal};
var e_xi5;      stderr @{stopsignal};
var e_xi4;      stderr @{stopsignal};
var e_xi3;      stderr @{stopsignal};
var e_xi2;      stderr @{stopsignal};
var e_xi1;      stderr @{stopsignal};
@# endif
end;