
%baseline
%criterion:  -4694.712521687946

------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                                   
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.910047343366115               0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.986931853698826               0                       0               
Government Consumption, g_{t}               0.9425868596603471              0                       0               
Persistent Technology, \mu_{t}              0.14578299823462                0                       0               
Technology, \epsilon_{t}                    0.805921294978318               0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.971075755657315               0                       0               
Consumption Preference, \zeta_{c,t}         0.896751134601176               0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.909635806569183               0                       0               
Term Spread                                 0.974185357364926               0                       0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon                                
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.011001253546504               0                       0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.003985986635319               0                       0                       0               
Government Consumption, g_{t}               0.02282470571356                0                       0                       0               
Persistent Technology, \mu_{t}              0.007147248944887               0                       0                       0               
Financial Wealth, \gamma_{t}                0.008185870638265               0                       0                       0               
Technology, \epsilon_{t}                    0.004653293408358               0                       0                       0               
Monetary Policy, xp                         0.489576836734098               0                       0                       0               
sigma_0                                     0.070271723893232               0               
sigma_signal                                0.028454101496245               0               
Consumption Preference, \zeta_{c,t}         0.023368828483401               0                       0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.055359576682233               0                       0                       0               
Term Spread                                 0.001609638087964               0                       0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------
                                      std, measurement error           
---------------------------------------------------------------------------------------------------------------------
Growth, Real Net Worth (%)          0.017423834656272               0               
---------------------------------------------------------------------------------------------------------------------
  
 
------------------------------------------------------------------------------------
            parameter values               
------------------------------------------------------------------------------------
xiw                     0.812890103877695               0               
b                       0.737160809732489               0               
Fomegabar               0.00564887343193                0               
mu                      0.211461695063443               0               
sigmaa                  2.461153897915245               0               
Sdoupr                  10.7452849565905                0               
xip                     0.74278408753701                0               
aptil                   2.390062448610942               0               
rhotil                  0.85025117314963                0               
iota1                   0.898350366272574               0               
iotaw1                  0.491338287434807               0               
iotamu                  0.936523265548301               0               
adytil                  0.367427981124132               0               
par8                    0.383582622980639               0               
------------------------------------------------------------------------------------
  

%baseline but drop signals and do not estimate par8
%criterion: -4324.553549056323
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                                   
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.924709627080566               0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.999391130003349               0                       0               
Government Consumption, g_{t}               0.894234520936825               0                       0               
Persistent Technology, \mu_{t}              0.09681997397816999             0                       0               
Technology, \epsilon_{t}                    0.944928251208165               0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.947199830862834               0                       0               
Consumption Preference, \zeta_{c,t}         0.967590547633433               0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.363415474791383               0                       0               
Term Spread                                 0.8871956363138011              0                       0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon                      stdd (Hess.)            
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.016207116713435               0                       0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.003962317152785               0                       0                       0               
Government Consumption, g_{t}               0.022257930562224               0                       0                       0               
Persistent Technology, \mu_{t}              0.006930199921603               0                       0                       0               
Financial Wealth, \gamma_{t}                0.003524872524588               0                       0                       0               
Technology, \epsilon_{t}                    0.004543453717766               0                       0                       0               
Monetary Policy, xp                         0.546284855266021               0                       0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.036679442633434               0                       0                       0               
Consumption Preference, \zeta_{c,t}         0.019902980894511               0                       0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.022520933161385               0                       0                       0               
Term Spread                                 0.004762328863126               0                       0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------
                                      std, measurement error            
---------------------------------------------------------------------------------------------------------------------
Growth, Real Net Worth (%)          0.027968188190983               0               
---------------------------------------------------------------------------------------------------------------------
  
 
------------------------------------------------------------------------------------
            parameter values              
------------------------------------------------------------------------------------
xiw                     0.902623801539542               0               
b                       0.7550674899434891              0               
Fomegabar               0.009971477138286               0               
mu                      0.254714681120528               0               
sigmaa                  1.914910728460521               0               
Sdoupr                  11.63807279528561               0               
xip                     0.834250239603042               0               
aptil                   1.116645717011356               0               
rhotil                  0.828747824196602               0               
iota1                   0.910943772929763               0               
iotaw1                  0.59905990960016                0               
iotamu                  0.944081131746124               0               
adytil                  0.351327315580867               0               
------------------------------------------------------------------------------------
  
%baseline but impose zero correlation between signals
%croterion: -4689.059632472801
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                                     
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.909084692946825               0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.98659898444283                0                       0               
Government Consumption, g_{t}               0.945300903954478               0                       0               
Persistent Technology, \mu_{t}              0.144610238356403               0                       0               
Technology, \epsilon_{t}                    0.824728182812246               0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.981407585957835               0                       0               
Consumption Preference, \zeta_{c,t}         0.899511544012248               0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.923057251624143               0                       0               
Term Spread                                 0.971160465138648               0                       0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon                     stdd (Hess.)            
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.011389339349374               0                       0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.003987324113839               0                       0                       0               
Government Consumption, g_{t}               0.022865076013502               0                       0                       0               
Persistent Technology, \mu_{t}              0.007126418767761               0                       0                       0               
Financial Wealth, \gamma_{t}                0.008381520191917               0                       0                       0               
Technology, \epsilon_{t}                    0.004671923540446               0                       0                       0               
Monetary Policy, xp                         0.487521580497521               0                       0                       0               
sigma_0                                     0.067447180658339               0              
sigma_signals                               0.030580317513247               0               
Consumption Preference, \zeta_{c,t}         0.023964051445673               0                       0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.06613543411153799             0                       0                       0               
Term Spread                                 0.001692720746385               0                       0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------
                                      std, measurement error           
---------------------------------------------------------------------------------------------------------------------
Growth, Real Net Worth (%)          0.01749842798034                0               
---------------------------------------------------------------------------------------------------------------------
  
 
------------------------------------------------------------------------------------
            parameter values                
------------------------------------------------------------------------------------
xiw                     0.81697311412336                0               
b                       0.744709866727983               0               
Fomegabar               0.003758290964952               0               
mu                      0.287831980232156               0               
sigmaa                  2.39363208972857                0               
Sdoupr                  9.680460860029875               0               
xip                     0.749185243622407               0               
aptil                   2.346478551867                  0               
rhotil                  0.85086554634991                0               
iota1                   0.901710780963772               0               
iotaw1                  0.545753570933632               0               
iotamu                  0.93564978399699                0               
adytil                  0.36279478163227                0               
------------------------------------------------------------------------------------
  
%drop equity, credit, premium, term spread 
%criterion: -3222.577207697535
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                                    
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.993438838325688               0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.9831969477702051              0                       0               
Government Consumption, g_{t}               0.919753129192042               0                       0               
Persistent Technology, \mu_{t}              0.131801930843514               0                       0               
Technology, \epsilon_{t}                    0.920585670649454               0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.388305108063872               0                       0               
Consumption Preference, \zeta_{c,t}         0.93256234118249                0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.723644954372469               0                       0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon                       
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.006467221463814               0                       0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.00399983377189                0                       0                       0               
Government Consumption, g_{t}               0.021761391713659               0                       0                       0               
Persistent Technology, \mu_{t}              0.007216037029935               0                       0                       0               
Financial Wealth, \gamma_{t}                0.001031066145638               0                       0                       0               
Technology, \epsilon_{t}                    0.003680988696629               0                       0                       0               
Monetary Policy, xp                         0.490569682716305               0                       0                       0               
sigma_0                                     0.0009991529404029999           0              
sigma_signals                               0.030772890627815               0               
Consumption Preference, \zeta_{c,t}         0.033107308494023               0                       0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.030406822592285               0                       0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  

------------------------------------------------------------------------------------
            parameter values               
------------------------------------------------------------------------------------
xiw                     0.7839152094469229              0               
b                       0.764911428894973               0               
Fomegabar               0.009108218874326               0               
mu                      0.327026015727237               0               
sigmaa                  1.744712491297051               0               
Sdoupr                  8.701256489430161               0               
xip                     0.694594117745981               0               
aptil                   2.033485031951338               0               
rhotil                  0.865192528834975               0               
iota1                   0.898032862883456               0               
iotaw1                  0.218613827601214               0               
iotamu                  0.935396234452981               0               
adytil                  0.341820493623624               0               
par8                    -0.5892072034399331             0               
------------------------------------------------------------------------------------
  
%drop equity 
%criterion: -4717.463533722391
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                                      
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.864987507932184               0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.993707810384511               0                       0               
Government Consumption, g_{t}               0.962814486676007               0                       0               
Persistent Technology, \mu_{t}              0.15661543843444                0                       0               
Technology, \epsilon_{t}                    0.876301401879646               0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.998783929116561               0                       0               
Consumption Preference, \zeta_{c,t}         0.875702774522545               0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.484522288806048               0                       0               
Term Spread                                 0.921846737515733               0                       0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon                             
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.013883961630373               0                       0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.003992214892457               0                       0                       0               
Government Consumption, g_{t}               0.022304478364913               0                       0                       0               
Persistent Technology, \mu_{t}              0.007219448832508               0                       0                       0               
Financial Wealth, \gamma_{t}                0.004030061519457               0                       0                       0               
Technology, \epsilon_{t}                    0.004523179046828               0                       0                       0               
Monetary Policy, xp                         0.488197734223778               0                       0                       0               
sigma_0                                     0.033555548532067               0              
sigma_signals                               0.015604616028684               0               
Consumption Preference, \zeta_{c,t}         0.025737414158602               0                       0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.001037028347399               0                       0                       0               
Term Spread                                 0.003201443437905               0                       0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  

------------------------------------------------------------------------------------
            parameter values        
------------------------------------------------------------------------------------
xiw                     0.785764347654523               0               
b                       0.779168921037132               0               
Fomegabar               0.005976277442607               0               
mu                      0.312207408653873               0               
sigmaa                  1.91874469846463                0               
Sdoupr                  6.548060442521975               0               
xip                     0.779473523218029               0               
aptil                   2.11423221629272                0               
rhotil                  0.853185505134245               0               
iota1                   0.896192885889298               0               
iotaw1                  0.600502889022877               0               
iotamu                  0.934168404921528               0               
adytil                  0.32951698258719                0               
par8                    0.404043444778461               0               
------------------------------------------------------------------------------------
  
%drop credit
%criterion:  -4444.491616291559
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                                   
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.9970903190818911              0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.978035570131807               0                       0               
Government Consumption, g_{t}               0.907949996824815               0                       0               
Persistent Technology, \mu_{t}              0.146636680583247               0                       0               
Technology, \epsilon_{t}                    0.692999243875416               0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.761965069204621               0                       0               
Consumption Preference, \zeta_{c,t}         0.842775640846526               0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.916953006340399               0                       0               
Term Spread                                 0.9546312206648761              0                       0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon                 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.008459603473321999            0                       0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.004024574411511               0                       0                       0               
Government Consumption, g_{t}               0.022265064291161               0                       0                       0               
Persistent Technology, \mu_{t}              0.007178513536388               0                       0                       0               
Financial Wealth, \gamma_{t}                0.039819627486887               0                       0                       0               
Technology, \epsilon_{t}                    0.004580918059667               0                       0                       0               
Monetary Policy, xp                         0.471875869574233               0                       0                       0               
sigma_0                                     0.00100900284665                0               
sigma_signals                               0.031237187835705               0               
Consumption Preference, \zeta_{c,t}         0.032139067712143               0                       0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.06166071963636                0                       0                       0               
Term Spread                                 0.002082477877684               0                       0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------
                                      std, measurement error  )            
---------------------------------------------------------------------------------------------------------------------
Growth, Real Net Worth (%)          0.010980787030948               0               
---------------------------------------------------------------------------------------------------------------------
  
 
------------------------------------------------------------------------------------
            parameter values          
------------------------------------------------------------------------------------
xiw                     0.819086933102815               0               
b                       0.838844673045868               0               
Fomegabar               0.011558628572646               0               
mu                      0.123719205590336               0               
sigmaa                  1.213801847197282               0               
Sdoupr                  8.449035617244849               0               
xip                     0.7167968582502901              0               
aptil                   2.16891299734603                0               
rhotil                  0.876459072922274               0               
iota1                   0.900645598762555               0               
iotaw1                  0.27692573327903                0               
iotamu                  0.923738508041807               0               
adytil                  0.322070807116172               0               
par8                    0.658348893080563               0               
------------------------------------------------------------------------------------
  
%drop premium
%criterion:  -4178.812731581831
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                            
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.993358304966363               0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.981683633963952               0                       0               
Government Consumption, g_{t}               0.934593164567975               0                       0               
Persistent Technology, \mu_{t}              0.143741089591681               0                       0               
Technology, \epsilon_{t}                    0.927774897152175               0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.973486269089531               0                       0               
Consumption Preference, \zeta_{c,t}         0.930192737400472               0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.908401957714602               0                       0               
Term Spread                                 0.962618192282696               0                       0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon             
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.008141507002903999            0                       0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.004006560938292               0                       0                       0               
Government Consumption, g_{t}               0.022925587138779               0                       0                       0               
Persistent Technology, \mu_{t}              0.007405881189818               0                       0                       0               
Financial Wealth, \gamma_{t}                0.011616385924273               0                       0                       0               
Technology, \epsilon_{t}                    0.003687307732804               0                       0                       0               
Monetary Policy, xp                         0.477513622610637               0                       0                       0               
sigma_0                                     0.000986577113501               0               
sigma_signals                               0.043474156304175               0               
Consumption Preference, \zeta_{c,t}         0.024285536751995               0                       0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.069719149655605               0                       0                       0               
Term Spread                                 0.001898279431714               0                       0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 ---------------------------------------------------------------------------------------------------------------------
                                      std, measurement error    
---------------------------------------------------------------------------------------------------------------------
Growth, Real Net Worth (%)          0.014195861170409               0               
---------------------------------------------------------------------------------------------------------------------
  
 ------------------------------------------------------------------------------------
                      parameter values            
------------------------------------------------------------------------------------
xiw                     0.7776358966511791              0               
b                       0.695266801284034               0               
Fomegabar               0.002126016364847               0               
mu                      0.350994705165004               0               
sigmaa                  3.033354037235594               0               
Sdoupr                  6.647888664460394               0               
xip                     0.667747180957151               0               
aptil                   2.260231951399651               0               
rhotil                  0.8547683674498861              0               
iota1                   0.8858071376778                 0               
iotaw1                  0.425151577795487               0               
iotamu                  0.921394486632252               0               
adytil                  0.332463775403459               0               
par8                    -0.428916841262743              0               
------------------------------------------------------------------------------------
 
%drop slope (drop also term shock)
%criterion:  -4139.298111261144
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                    stdd (Hess.)                          
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.990047126081363               0                                     
Investment Specific, \mu_{\Upsilon,t}       0.987521092937901               0                                      
Government Consumption, g_{t}               0.923717389289575               0                                      
Persistent Technology, \mu_{t}              0.151193070181971               0                                      
Technology, \epsilon_{t}                    0.6903469715517629              0                                      
Riskiness of Entrepreneurs, \sigma_{t}      0.966790243321225               0                                      
Consumption Preference, \zeta_{c,t}         0.888079036999636               0                                      
Marginal Investment Efficiency, \zeta_{i,t} 0.9605220614761471              0                                      
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                        std, epsilon                    stdd (Hess.)                                   
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.009481328249821               0                                                            
Investment Specific, \mu_{\Upsilon,t}       0.003982619108918               0                                                            
Government Consumption, g_{t}               0.02251543978972                0                                                             
Persistent Technology, \mu_{t}              0.007197063315021               0                                                             
Financial Wealth, \gamma_{t}                0.009738385935613001            0                                                            
Technology, \epsilon_{t}                    0.004584542100473               0                                                             
Monetary Policy, xp                         0.507183301815837               0                                                             
sigma_0                                     0.068283465255451               0               
sigma_signals                               0.030945128359367               0               
Consumption Preference, \zeta_{c,t}         0.030960541712582               0                                                            
Marginal Investment Efficiency, \zeta_{i,t} 0.129850936639892               0                                                             
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
   
---------------------------------------------------------------------------------------------------------------------
                                std, measurement error              stdd (Hess.)            
---------------------------------------------------------------------------------------------------------------------
Growth, Real Net Worth (%)          0.016458311024286               0               
---------------------------------------------------------------------------------------------------------------------
   
------------------------------------------------------------------------------------
                           parameter values            stdd (Hess.)        
------------------------------------------------------------------------------------
xiw                     0.813405021649569               0               
b                       0.807265057637597               0               
Fomegabar               0.007830693472282               0               
mu                      0.151794544786777               0               
sigmaa                  2.695919672783971               0               
Sdoupr                  7.91293490752745                0               
xip                     0.712594692550108               0               
aptil                   2.329658807835152               0               
rhotil                  0.836844212292279               0               
iota1                   0.869053456300907               0               
iotaw1                  0.366208509062901               0               
iotamu                  0.925757903256642               0               
adytil                  0.328092794008134               0               
par8                    0.333388094962976               0               
------------------------------------------------------------------------------------
  
%drop equity, credit, premium, term spread and set par8=0
%starting from ljc mode
%criterion:    -3.221056106893954e+003
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                   std (Hess)          
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.9930278030654834      0.005676869213194943            0               
Investment Specific, \mu_{\Upsilon,t}       0.9829954239754587      0.008853394625108558            0               
Government Consumption, g_{t}               0.9224656255876512      0.03121604629078792             0               
Persistent Technology, \mu_{t}              0.1332386320978227      0.06840851048795249             0               
Technology, \epsilon_{t}                    0.932855161161249       0.03604671868932115             0               
Riskiness of Entrepreneurs, \sigma_{t}      0.2525328433995219      0.1800783679959537              0               
Consumption Preference, \zeta_{c,t}         0.9342011248887041      0.02740696544943206             0               
Marginal Investment Efficiency, \zeta_{i,t} 0.7168371443115214      0.06814089593843688             0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon            stdd (Hess.)                      
------------------------------------------  ---------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.006119349862417354    0.0009397866844745302           0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.004000704884902416    0.0002786749718715225           0                       0               
Government Consumption, g_{t}               0.02183562103379665     0.001545190766633672            0                       0               
Persistent Technology, \mu_{t}              0.007241078658397229    0.0005612958050368387           0                       0               
Financial Wealth, \gamma_{t}                0.001028955502634921    0.0005749362183531553           0                       0               
Technology, \epsilon_{t}                    0.003449996708017885    0.0004050477936166322           0                       0               
Monetary Policy, xp                         0.4909039980549359      0.0362132871371184              0                       0               
sigma_0                                     0.001000196074934741    0.0005348095675179317  
sigma_signals                               0.0353367011862332      0.007624448421679059    
Consumption Preference, \zeta_{c,t}         0.03296649376151754     0.007811386516768291            0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.02974777107652088     0.005212926302143684            0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  
-----------------------------------------------------------------------------------
                           parameter values            stdd (Hess.)        
------------------------------------------------------------------------------------
xiw                     0.7829834190042856      0.02783918537022762     
b                       0.7604508170492361      0.03488742375230795     
Fomegabar               0.009202451789196544    0.003511055219367199    
mu                      0.3154390034234845      0.1032289229804658      
sigmaa                  1.755777590812232       0.6803404497371963      
Sdoupr                  8.845203053146895       2.457123197896265       
xip                     0.6838832072142733      0.03547075878699593     
aptil                   2.033056684494736       0.1966404695700596      
rhotil                  0.863614611773748       0.01713529171247208     
iota1                   0.9006803506504468      0.04748108753634482     
iotaw1                  0.2258808489944233      0.09710349615311804     
iotamu                  0.9343745281224087      0.03001494697498823     
adytil                  0.3409925559951799      0.09971185716526604     
------------------------------------------------------------------------------------


%drop equity, credit, premium, term spread and set par8=0
%starting from massimo's mode
%criterion:  -3.218575405189120e+003 
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                    stdd (Hess.)            rho2                    
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.9899839086587088              0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.9828947089466039              0                       0               
Government Consumption, g_{t}               0.9246483578436907              0                       0               
Persistent Technology, \mu_{t}              0.1537874730834742              0                       0               
Technology, \epsilon_{t}                    0.9366895050810282              0                       0               
Riskiness of Entrepreneurs, \sigma_{t}      0.9809177743275671              0                       0               
Consumption Preference, \zeta_{c,t}         0.9264440660357646              0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.4931764774509229              0                       0               
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon            stdd (Hess.)                               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.008924528513164302            0                       0                       0               
Investment Specific, \mu_{\Upsilon,t}       0.004000943024972716            0                       0                       0               
Government Consumption, g_{t}               0.02142301277164378             0                       0                       0               
Persistent Technology, \mu_{t}              0.007337677773062956            0                       0                       0               
Financial Wealth, \gamma_{t}                0.001012413770605787            0                       0                       0               
Technology, \epsilon_{t}                    0.004550344875485704            0                       0                       0               
Monetary Policy, xp                         0.4855107485230549              0                       0                       0               
sigma_0                                     0.04432509167934105             0               
sigma_lag                                   0.0003541332908706291           0               
Consumption Preference, \zeta_{c,t}         0.03483307821690398             0                       0                       0               
Marginal Investment Efficiency, \zeta_{i,t} 0.00101101007618471             0                       0                       0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  

------------------------------------------------------------------------------------
                      parameter values            stdd (Hess.)        
------------------------------------------------------------------------------------
xiw                     0.7452243137554583              0               
b                       0.7735906182354575              0               
Fomegabar               0.008450241324284414            0               
mu                      0.3809148231545398              0               
sigmaa                  2.135903491062173               0               
Sdoupr                  2.966040867129617               0               
xip                     0.7187916600860621              0               
aptil                   2.139364834891733               0               
rhotil                  0.8527842424704313              0               
iota1                   0.9099587742866558              0               
iotaw1                  0.2487287096723802              0               
iotamu                  0.93572677521284                0               
adytil                  0.3537278006800719              0               
------------------------------------------------------------------------------------
  
%CEE (drop financial variables; drop shocks: sigma, gamma, term; drop parameters: mu, Fopmegabar, par8)
%criterion: -3.181239720357244e+003
------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              rho1                                       
------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.92271439512197                                                      
Investment Specific, \mu_{\Upsilon,t}       0.9902995083510771                                                    
Government Consumption, g_{t}               0.9813678734450849                                                    
Persistent Technology, \mu_{t}              0.197437932132141                                                    
Technology, \epsilon_{t}                    0.95415159704374                                                      
Consumption Preference, \zeta_{c,t}         0.8815376659273249                                                    
Marginal Investment Efficiency, \zeta_{i,t} 0.845433900808766                                                     
------------------------------------------------------------------------------------------------------------------------------------------------------------
  
 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                              std, epsilon                                        
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Firm Markup, \lambda_{f,t}                  0.010924041919515                                                            0               
Inflation Objective, \pi^{*}_{t}               0.0001                                                                     0               
Investment Specific, \mu_{\Upsilon,t}       0.003972237026109002                                                          0               
Government Consumption, g_{t}               0.02664433210927299                                                           0               
Persistent Technology, \mu_{t}              0.007589732663837003                                                          0               
Technology, \epsilon_{t}                    0.00459880037505                                                             0               
Monetary Policy, xp                         0.501199861619411                                                             0               
Consumption Preference, \zeta_{c,t}         0.023969038057246                                                             0               
Marginal Investment Efficiency, \zeta_{i,t} 0.04273222719627499                                                           0               
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  

------------------------------------------------------------------------------------
         parameter values            
------------------------------------------------------------------------------------
xiw                     0.7618902852636441                             
b                       0.781510941852984                              
sigmaa                  2.0526921889961                                
Sdoupr                  4.485139822575689                              
xip                     0.743874624082541                              
aptil                   2.082868606996772                             
rhotil                  0.8534446807134761                             
iota1                   0.89632854449359                               
iotaw1                  0.353647643504552                              
iotamu                  0.926341506090463                              
adytil                  0.336733323767896                              
------------------------------------------------------------------------------------
  
