function [residual, g1, g2] = cmr_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 348, 1);

%
% Model equations
%

pitilde__ = y(26)^params(18)*y(24)^(1-params(18));
Kp__ = y(5)*((1-params(72)*(pitilde__/y(24))^(1/(1-y(16))))/(1-params(72)))^(1-y(16));
a__ = params(46)*(exp(params(50)*(y(50)-1))-1)/params(50);
F__ = normcdf((log(y(22))+y(38)^2/2)/y(38),0,1);
G__ = normcdf((log(y(22))+y(38)^2/2)/y(38)-y(38),0,1);
d__ = (G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*(1+y(35))*y(29)*y(15)/(y(24)*y(19));
pitildep1__ = y(26)^params(18)*y(24)^(1-params(18));
yz__ = y(28)^(y(16)/(y(16)-1))*(y(4)*(y(50)*y(15)/(y(19)*params(70)))^params(4)*(y(10)*y(53)^(params(22)/(params(22)-1)))^(1-params(4))-y(23));
Kpp1__ = y(5)*((1-params(72)*(pitildep1__/y(24))^(1/(1-y(16))))/(1-params(72)))^(1-y(16));
pitildewp1__ = y(26)^params(20)*y(24)^(1-params(20));
piwp1__ = y(24)*y(19)*y(52)/y(52);
piw__ = y(24)*y(19)*y(52)/y(52);
pitildew__ = y(26)^params(20)*y(24)^(1-params(20));
Kwp1__ = y(52)*((1-params(73)*(pitildewp1__/piwp1__*params(25)^(1-params(19))*y(19)^params(19))^(1/(1-params(22))))/(1-params(73)))^(1-params(22)*(1+params(48)))*y(6)/params(32);
Kw__ = y(6)*y(52)*((1-params(73)*(y(19)^params(19)*params(25)^(1-params(19))*pitildew__/piw__)^(1/(1-params(22))))/(1-params(73)))^(1-params(22)*(1+params(48)))/params(32);
rk_ss__ = (y(34));
S__ = exp(sqrt(params(47)/2)*(params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25)))+exp((params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25))*(-sqrt(params(47)/2)))-2;
Spr__ = sqrt(params(47)/2)*(exp(sqrt(params(47)/2)*(params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25)))-exp((params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25))*(-sqrt(params(47)/2))));
Sprp1__ = sqrt(params(47)/2)*(exp(sqrt(params(47)/2)*(params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25)))-exp((params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25))*(-sqrt(params(47)/2))));
Fp1__ = normcdf((log(y(22))+y(38)^2/2)/y(38),0,1);
Gp1__ = normcdf((log(y(22))+y(38)^2/2)/y(38)-y(38),0,1);
G_ss__ = normcdf((log((y(22)))+(y(38))^2/2)/(y(38))-(y(38)),0,1);
Rk_ss__ = (y(35));
kbar_ss__ = (y(15));
n_ss__ = (y(20));
sigma_ss__ = (y(38));
h_ss__ = (y(10));
g_ss__ = (y(7));
T3 = (-1);
T18 = pitilde__/y(24);
T21 = 1/(1-y(16));
T22 = T18^T21;
T26 = (1-params(72)*T22)/(1-params(72));
T27 = T26^(1-y(16));
T43 = log(y(22))+y(38)^2/2;
T44 = T43/y(38);
T64 = (G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*(1+y(35))*y(29)*y(15);
T71 = y(28)^(y(16)/(y(16)-1));
T78 = (y(50)*y(15)/(y(19)*params(70)))^params(4);
T85 = y(53)^(params(22)/(params(22)-1));
T88 = (y(10)*T85)^(1-params(4));
T94 = pitildep1__/y(24);
T95 = T94^T21;
T98 = (1-params(72)*T95)/(1-params(72));
T99 = T98^(1-y(16));
T116 = params(25)^(1-params(19));
T118 = y(19)^params(19);
T119 = pitildewp1__/piwp1__*T116*T118;
T121 = 1/(1-params(22));
T126 = (1-params(73)*T119^T121)/(1-params(73));
T140 = T116*pitildew__/piw__;
T141 = T118*T140;
T145 = (1-params(73)*T141^T121)/(1-params(73));
T154 = sqrt(params(47)/2);
T177 = log((y(22)))+(y(38))^2/2;
T179 = T177/(y(38))-(y(38));
T189 = Kp__/y(5);
T190 = y(16)/(1-y(16));
T191 = T189^T190;
T194 = (T18*y(28))^T190;
T196 = (1-params(72))*T191+params(72)*T194;
T198 = T196^((1-y(16))/y(16));
T207 = params(72)*T95*params(8);
T219 = params(72)*params(8)*T94^T190;
T233 = params(73)*params(8)*params(25)^((1-params(19))/(1-params(22)));
T237 = T233*y(19)^(params(19)/(1-params(22))-1);
T238 = pitildewp1__^T121;
T240 = T237*T238/y(24);
T242 = params(22)/(1-params(22));
T243 = (1/piwp1__)^T242;
T244 = T240*T243;
T255 = params(73)*params(8)*T119^(params(22)*(1+params(48))/(1-params(22)));
T265 = (1-params(73))*T145^params(22)+params(73)*(y(53)*T141)^T242;
T278 = (T85*y(19)*params(70)*y(10)/(y(50)*y(15)))^(1-params(4));
T283 = (y(34)/params(4))^params(4);
T285 = (y(52)/(1-params(4)))^(1-params(4));
T286 = T283*T285;
T356 = normpdf(T44,0,1);
T360 = 1-Fp1__-y(22)*params(23)*T356/y(22)/y(38);
T361 = (1-Fp1__)/T360;
T366 = (1+y(35))/(1+y(30))*(y(22)*(1-Fp1__)+(1-params(23))*Gp1__)-1;
T395 = 1+params(70)*y(19)*y(12)*y(55)*(-Spr__)/y(12)-S__;
T405 = (params(70)*y(19)*y(55)*y(12)/y(12))^2;
T426 = params(27)*1/params(33)*(1-params(45))*params(5);
T445 = (params(10)+params(17))/(1-params(13));
T446 = y(19)/params(25);
T461 = (1-params(45))*1/(params(33)*4)*params(6);
T494 = y(8)/(y(24)*y(19));
T496 = y(35)-y(30)-(G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*(1+y(35));
T497 = T494*T496;
T542 = exp(T64/(y(29)*y(15)-y(20))-params(23)*G_ss__*(1+Rk_ss__)*kbar_ss__/(kbar_ss__-n_ss__));
T687 = sqrt(1-params(26)^2);
T712 = params(63)*params(26)^2*T687;
T727 = params(63)*T687*params(26)^3;
T745 = params(63)*T687*params(26)^4;
T837 = y(49)/(y(24)*y(19));
T844 = y(17)*y(54)*(params(8)*(1+y(199)))^40;
T849 = y(236)/(y(273)*y(310));
T850 = T844*T849;
T855 = y(235)/(y(272)*y(309));
T856 = T850*T855;
T861 = y(234)/(y(271)*y(308));
T862 = T856*T861;
T867 = y(233)/(y(270)*y(307));
T868 = T862*T867;
T873 = y(232)/(y(269)*y(306));
T874 = T868*T873;
T879 = y(231)/(y(268)*y(305));
T880 = T874*T879;
T885 = y(230)/(y(267)*y(304));
T886 = T880*T885;
T891 = y(229)/(y(266)*y(303));
T892 = T886*T891;
T897 = y(228)/(y(265)*y(302));
T898 = T892*T897;
T903 = y(227)/(y(264)*y(301));
T904 = T898*T903;
T909 = y(226)/(y(263)*y(300));
T910 = T904*T909;
T915 = y(225)/(y(262)*y(299));
T916 = T910*T915;
T921 = y(224)/(y(261)*y(298));
T922 = T916*T921;
T927 = y(223)/(y(260)*y(297));
T928 = T922*T927;
T933 = y(222)/(y(259)*y(296));
T934 = T928*T933;
T939 = y(221)/(y(258)*y(295));
T940 = T934*T939;
T945 = y(220)/(y(257)*y(294));
T946 = T940*T945;
T951 = y(219)/(y(256)*y(293));
T952 = T946*T951;
T957 = y(218)/(y(255)*y(292));
T958 = T952*T957;
T963 = y(217)/(y(254)*y(291));
T964 = T958*T963;
T969 = y(216)/(y(253)*y(290));
T970 = T964*T969;
T975 = y(215)/(y(252)*y(289));
T976 = T970*T975;
T981 = y(214)/(y(251)*y(288));
T982 = T976*T981;
T987 = y(213)/(y(250)*y(287));
T988 = T982*T987;
T993 = y(212)/(y(249)*y(286));
T994 = T988*T993;
T999 = y(211)/(y(248)*y(285));
T1000 = T994*T999;
T1005 = y(210)/(y(247)*y(284));
T1006 = T1000*T1005;
T1011 = y(209)/(y(246)*y(283));
T1012 = T1006*T1011;
T1017 = y(208)/(y(245)*y(282));
T1018 = T1012*T1017;
T1023 = y(207)/(y(244)*y(281));
T1024 = T1018*T1023;
T1029 = y(206)/(y(243)*y(280));
T1030 = T1024*T1029;
T1035 = y(205)/(y(242)*y(279));
T1036 = T1030*T1035;
T1041 = y(204)/(y(241)*y(278));
T1042 = T1036*T1041;
T1047 = y(203)/(y(240)*y(277));
T1048 = T1042*T1047;
T1053 = y(202)/(y(239)*y(276));
T1054 = T1048*T1053;
T1059 = y(201)/(y(238)*y(275));
T1060 = T1054*T1059;
T1065 = y(200)/(y(237)*y(274));
T1066 = T1060*T1065;
T1067 = T837*T1066;
T1068 = T837*T1067;
T1152 = y(17)*y(54)*(params(8)*y(348))^40/y(310);
T1153 = T1152/y(309);
T1154 = T1153/y(308);
T1155 = T1154/y(307);
T1156 = T1155/y(306);
T1157 = T1156/y(305);
T1158 = T1157/y(304);
T1159 = T1158/y(303);
T1160 = T1159/y(302);
T1161 = T1160/y(301);
T1162 = T1161/y(300);
T1163 = T1162/y(299);
T1164 = T1163/y(298);
T1165 = T1164/y(297);
T1166 = T1165/y(296);
T1167 = T1166/y(295);
T1168 = T1167/y(294);
T1169 = T1168/y(293);
T1170 = T1169/y(292);
T1171 = T1170/y(291);
T1172 = T1171/y(290);
T1173 = T1172/y(289);
T1174 = T1173/y(288);
T1175 = T1174/y(287);
T1176 = T1175/y(286);
T1177 = T1176/y(285);
T1178 = T1177/y(284);
T1179 = T1178/y(283);
T1180 = T1179/y(282);
T1181 = T1180/y(281);
T1182 = T1181/y(280);
T1183 = T1182/y(279);
T1184 = T1183/y(278);
T1185 = T1184/y(277);
T1186 = T1185/y(276);
T1187 = T1186/y(275);
T1188 = T1187/y(274);
T1190 = T1188/y(19)/y(19);
T1700 = 1/params(12)/(y(4)/params(12));
T1709 = getPowerDeriv(T196,(1-y(16))/y(16),1);
T1729 = (g_ss__-y(7))/(g_ss__*g_ss__)/(y(7)/g_ss__);
T1739 = 1/(y(24)*y(19));
T1747 = 1/params(16)/(y(8)/params(16));
T1753 = T71*y(4)*T78*T85*getPowerDeriv(y(10)*T85,1-params(4),1);
T1769 = getPowerDeriv(T85*y(19)*params(70)*y(10)/(y(50)*y(15)),1-params(4),1);
T1790 = 2*params(70)*y(19)*y(55)*y(12)/y(12);
T1803 = getPowerDeriv(y(50)*y(15)/(y(19)*params(70)),params(4),1);
T1807 = T71*T88*y(4)*y(50)/(y(19)*params(70))*T1803;
T1860 = y(5)*T27*((-log(T26))+(1-y(16))*(-(params(72)*T22*1/((1-y(16))*(1-y(16)))*log(T18)))/(1-params(72))/T26);
T1864 = (1-y(16)-(-y(16)))/((1-y(16))*(1-y(16)));
T1892 = T71*(y(16)-1-y(16))/((y(16)-1)*(y(16)-1))*log(y(28));
T1893 = (y(4)*T78*T88-y(23))*T1892;
T1929 = 1/params(21)/(y(16)/params(21));
T2052 = 1/params(24)/(y(18)/params(24));
T2062 = T71*T88*y(4)*T1803*(-(y(50)*y(15)*params(70)))/(y(19)*params(70)*y(19)*params(70));
T2077 = getPowerDeriv(1/piwp1__,T242,1);
T2092 = T140*getPowerDeriv(y(19),params(19),1)+T118*T116*(-(pitildew__*y(24)*y(52)/y(52)))/(piw__*piw__);
T2097 = (-(params(73)*T2092*getPowerDeriv(T141,T121,1)))/(1-params(73));
T2098 = getPowerDeriv(T145,1-params(22)*(1+params(48)),1);
T2109 = T118*T116*(-(pitildewp1__*y(24)*y(52)/y(52)))/(piwp1__*piwp1__)+pitildewp1__/piwp1__*T116*getPowerDeriv(y(19),params(19),1);
T2110 = getPowerDeriv(T119,params(22)*(1+params(48))/(1-params(22)),1);
T2118 = getPowerDeriv(T126,1-params(22)*(1+params(48)),1);
T2131 = getPowerDeriv(y(53)*T141,T242,1);
T2135 = getPowerDeriv(T265,1/T242,1);
T2161 = exp(T154*(params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25)))*T154*y(12)*params(70)*y(55)/y(12);
T2163 = exp((params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25))*(-T154))*(-T154)*y(12)*params(70)*y(55)/y(12);
T2208 = 1/params(25)/T446;
T2224 = (-(1/params(25)));
T2229 = (-(y(24)*y(49)))/(y(24)*y(19)*y(24)*y(19));
T2268 = 1/y(22)/y(38);
T2275 = exp((-((T44-y(38))*(T44-y(38))))/2)/2.506628274631;
T2276 = T2268*T2275;
T2281 = exp((-(T44*T44))/2)/2.506628274631;
T2285 = 1-F__+y(22)*(-(T2268*T2281));
T2338 = exp((-(T179*T179))/2)/2.506628274631;
T2355 = y(24)*y(26)^params(18)*getPowerDeriv(y(24),1-params(18),1);
T2358 = (T2355-pitilde__)/(y(24)*y(24));
T2359 = getPowerDeriv(T18,T21,1);
T2366 = y(5)*(-(params(72)*T2358*T2359))/(1-params(72))*getPowerDeriv(T26,1-y(16),1);
T2371 = getPowerDeriv(T18*y(28),T190,1);
T2380 = (T2355-pitildep1__)/(y(24)*y(24))*getPowerDeriv(T94,T21,1);
T2399 = y(26)^params(20)*getPowerDeriv(y(24),1-params(20),1);
T2400 = getPowerDeriv(pitildewp1__,T121,1);
T2421 = T118*T116*(piw__*T2399-pitildew__*y(19)*y(52)/y(52))/(piw__*piw__);
T2425 = (-(params(73)*getPowerDeriv(T141,T121,1)*T2421))/(1-params(73));
T2435 = T118*T116*(piwp1__*T2399-pitildewp1__*y(19)*y(52)/y(52))/(piwp1__*piwp1__);
T2491 = (-(y(19)*y(49)))/(y(24)*y(19)*y(24)*y(19));
T2502 = y(24)^(1-params(18))*getPowerDeriv(y(26),params(18),1)/y(24);
T2508 = y(5)*getPowerDeriv(T26,1-y(16),1)*(-(params(72)*T2359*T2502))/(1-params(72));
T2535 = y(24)^(1-params(20))*getPowerDeriv(y(26),params(20),1);
T2548 = (-(params(73)*getPowerDeriv(T141,T121,1)*T118*T116*T2535/piw__))/(1-params(73));
T2586 = 1/params(29)/(y(26)/params(29));
T2593 = getPowerDeriv(y(28),y(16)/(y(16)-1),1);
T2594 = (y(4)*T78*T88-y(23))*T2593;
T2642 = 1/params(33)/(y(30)/params(33));
T2700 = (y(38)*2*y(38)/2-T43)/(y(38)*y(38));
T2764 = (sigma_ss__-y(38))/(sigma_ss__*sigma_ss__)/(y(38)/sigma_ss__);
T2779 = 1/params(69)/(y(49)/params(69));
T2794 = T71*T88*y(4)*T1803*y(15)/(y(19)*params(70));
T2834 = getPowerDeriv(y(53),params(22)/(params(22)-1),1);
T2838 = T71*y(4)*T78*getPowerDeriv(y(10)*T85,1-params(4),1)*y(10)*T2834;
T2899 = 1/params(75)/(y(54)/params(75));
T2989 = exp(T154*(params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25)))*T154*y(19)*params(70)*y(12)/y(12);
T2991 = exp((params(70)*y(19)*y(55)*y(12)/y(12)-params(70)*params(25))*(-T154))*(-T154)*y(19)*params(70)*y(12)/y(12);
T3019 = 1/params(76)/(y(55)/params(76));
lhs =y(28);
rhs =T198;
residual(1)= lhs-rhs;
lhs =y(5);
rhs =y(54)*y(17)*yz__+y(5)*T207;
residual(2)= lhs-rhs;
lhs =Kp__;
rhs =yz__*T71*y(17)*y(16)*y(54)*y(37)+T219*Kpp1__;
residual(3)= lhs-rhs;
lhs =y(6);
rhs =y(10)*T85*y(54)*y(17)*(1-params(67))/params(22)+y(6)*T244;
residual(4)= lhs-rhs;
lhs =Kw__;
rhs =y(54)*(y(10)*T85)^(1+params(48))*params(74)+T255*Kwp1__;
residual(5)= lhs-rhs;
lhs =y(53);
rhs =T265^(1/T242);
residual(6)= lhs-rhs;
lhs =y(34);
rhs =exp(params(50)*(y(50)-1))*params(68)*rk_ss__;
residual(7)= lhs-rhs;
lhs =y(34);
rhs =y(37)*y(4)*params(4)*T278;
residual(8)= lhs-rhs;
lhs =y(37);
rhs =T286/y(4);
residual(9)= lhs-rhs;
lhs =yz__;
rhs =y(7)+y(1)+y(12)/y(18)+y(15)*params(68)*a__/(y(19)*params(70))+d__+params(9)*(1-y(8))*(y(20)-params(71))/y(8);
residual(10)= lhs-rhs;
lhs =y(15);
rhs =y(15)*(1-params(11))/(y(19)*params(70))+y(12)*(1-S__);
residual(11)= lhs-rhs;
lhs =0;
rhs =y(17)*y(54)*params(8)/(y(24)*y(19))*(1+(1-params(65))*y(30))-y(54)*y(17);
residual(12)= lhs-rhs;
lhs =y(17)*y(54)*(1+params(64));
rhs =y(19)*y(54)/(y(19)*y(1)-y(1)*params(7))-y(54)*params(8)*params(7)/(y(19)*y(1)-y(1)*params(7));
residual(13)= lhs-rhs;
lhs =0;
rhs =(1+y(35))*(1-Gp1__-y(22)*(1-Fp1__))/(1+y(30))+T361*T366;
residual(14)= lhs-rhs;
lhs =1+y(35);
rhs =y(24)*((1-params(66))*(y(50)*y(34)-params(68)*a__)+y(29)*(1-params(11)))/(y(29)*params(70))+params(11)*params(66);
residual(15)= lhs-rhs;
lhs =0;
rhs =y(17)*(-y(54))/y(18)+y(29)*y(54)*y(17)*T395+y(29)*y(17)*y(54)*params(8)*Sprp1__*T405/(y(19)*params(70));
residual(16)= lhs-rhs;
lhs =log(y(30)/params(33));
rhs =log(y(30)/params(33))*params(45)+1/params(33)*(1-params(45))*params(27)*log(y(26)/params(27))+T426*(log(y(24))-log(y(26)))+params(25)*(1-params(45))*1/(params(33)*4)*params(3)*log(T446)+log(T446)*params(25)*1/params(33)*(1-params(45))*params(1)-T461*(params(10)*log(y(1)/params(10))+params(17)*log(y(12)/params(17))-params(17)*log(y(18))+params(15)*log(y(7)/params(15)))/T445+1/(params(33)*400)*x(18);
residual(17)= lhs-rhs;
residual(18) = 1+(y(22)*(1-F__)+G__*(1-params(23)))*(1+y(35))*y(29)*y(15)/(y(20)*(1+y(30)))-y(29)*y(15)/y(20);
lhs =y(20);
rhs =params(71)+y(29)*y(15)*T497+y(20)*y(8)*(1+y(30))/(y(24)*y(19));
residual(19)= lhs-rhs;
lhs =y(54)*y(17);
rhs =y(94);
residual(20)= lhs-rhs;
lhs =y(54)*y(17);
rhs =y(133);
residual(21)= lhs-rhs;
lhs =y(2);
rhs =T446;
residual(22)= lhs-rhs;
lhs =y(3);
rhs =T446;
residual(23)= lhs-rhs;
lhs =y(9);
rhs =T446;
residual(24)= lhs-rhs;
lhs =y(11);
rhs =y(10)/h_ss__;
residual(25)= lhs-rhs;
lhs =y(13);
rhs =y(24)/params(27);
residual(26)= lhs-rhs;
lhs =y(14);
rhs =T446;
residual(27)= lhs-rhs;
lhs =y(21);
rhs =T446;
residual(28)= lhs-rhs;
lhs =y(27);
rhs =T542;
residual(29)= lhs-rhs;
lhs =y(25);
rhs =1;
residual(30)= lhs-rhs;
lhs =y(31);
rhs =exp(y(30)-params(33));
residual(31)= lhs-rhs;
lhs =y(32);
rhs =(1+y(30))/y(24)/((1+params(33))/params(27));
residual(32)= lhs-rhs;
lhs =y(48);
rhs =1+y(36)-y(30);
residual(33)= lhs-rhs;
lhs =y(51);
rhs =T446;
residual(34)= lhs-rhs;
lhs =log(y(4)/params(12));
rhs =log(y(4)/params(12))*params(34)+x(1);
residual(35)= lhs-rhs;
lhs =log(y(7)/g_ss__);
rhs =log(y(7)/g_ss__)*params(35)+x(2);
residual(36)= lhs-rhs;
lhs =log(y(8)/params(16));
rhs =log(y(8)/params(16))*params(36)+x(3);
residual(37)= lhs-rhs;
lhs =log(y(16)/params(21));
rhs =log(y(16)/params(21))*params(37)+x(4);
residual(38)= lhs-rhs;
lhs =log(y(18)/params(24));
rhs =log(y(18)/params(24))*params(38)+x(5);
residual(39)= lhs-rhs;
lhs =log(T446);
rhs =log(T446)*params(39)+x(6);
residual(40)= lhs-rhs;
lhs =log(y(26)/params(29));
rhs =log(y(26)/params(29))*params(40)+x(7);
residual(41)= lhs-rhs;
lhs =log(y(49)/params(69));
rhs =log(y(49)/params(69))*params(42)+x(17);
residual(42)= lhs-rhs;
lhs =log(y(54)/params(75));
rhs =log(y(54)/params(75))*params(43)+x(19);
residual(43)= lhs-rhs;
lhs =log(y(55)/params(76));
rhs =log(y(55)/params(76))*params(44)+x(20);
residual(44)= lhs-rhs;
lhs =log(y(38)/sigma_ss__);
rhs =log(y(38)/sigma_ss__)*params(41)+log(y(39))+log(y(40))+log(y(134))+log(y(136))+log(y(139))+log(y(143))+log(y(148))+log(y(154))+log(y(161));
residual(45)= lhs-rhs;
lhs =log(y(47));
rhs =params(63)*x(16);
residual(46)= lhs-rhs;
lhs =log(y(46));
rhs =x(16)*params(63)*params(26)+params(63)*T687*x(15);
residual(47)= lhs-rhs;
lhs =log(y(45));
rhs =x(16)*params(63)*params(26)^2+x(15)*params(63)*params(26)*T687+params(63)*T687*x(14);
residual(48)= lhs-rhs;
lhs =log(y(44));
rhs =x(16)*params(63)*params(26)^3+x(15)*T712+params(63)*params(26)*T687*x(14)+params(63)*T687*x(13);
residual(49)= lhs-rhs;
lhs =log(y(43));
rhs =x(16)*params(63)*params(26)^4+x(15)*T727+x(14)*T712+params(63)*params(26)*T687*x(13)+params(63)*T687*x(12);
residual(50)= lhs-rhs;
lhs =log(y(42));
rhs =x(16)*params(63)*params(26)^5+x(15)*T745+x(14)*T727+T712*x(13)+params(63)*params(26)*T687*x(12)+params(63)*T687*x(11);
residual(51)= lhs-rhs;
lhs =log(y(41));
rhs =x(16)*params(63)*params(26)^6+x(15)*params(63)*T687*params(26)^5+x(14)*T745+x(13)*T727+T712*x(12)+params(63)*params(26)*T687*x(11)+params(63)*T687*x(10);
residual(52)= lhs-rhs;
lhs =log(y(40));
rhs =x(16)*params(63)*params(26)^7+x(15)*params(63)*T687*params(26)^6+x(14)*params(63)*T687*params(26)^5+x(13)*T745+T727*x(12)+T712*x(11)+params(63)*params(26)*T687*x(10)+params(63)*T687*x(9);
residual(53)= lhs-rhs;
lhs =log(y(39));
rhs =x(16)*params(26)^8*params(58)+x(15)*params(58)*T687*params(26)^7+x(14)*T687*params(26)^6*params(58)+x(13)*T687*params(26)^5*params(58)+x(12)*T687*params(26)^4*params(58)+x(11)*T687*params(26)^3*params(58)+x(10)*params(26)^2*T687*params(58)+x(9)*params(26)*T687*params(58)+T687*params(58)*x(8);
residual(54)= lhs-rhs;
lhs =y(23);
rhs =(y(23));
residual(55)= lhs-rhs;
lhs =y(56);
rhs =T837*T1068;
residual(56)= lhs-rhs;
lhs =y(57);
rhs =y(56);
residual(57)= lhs-rhs;
lhs =y(58);
rhs =y(57);
residual(58)= lhs-rhs;
lhs =y(59);
rhs =y(58);
residual(59)= lhs-rhs;
lhs =y(60);
rhs =y(59);
residual(60)= lhs-rhs;
lhs =y(61);
rhs =y(60);
residual(61)= lhs-rhs;
lhs =y(62);
rhs =y(61);
residual(62)= lhs-rhs;
lhs =y(63);
rhs =y(62);
residual(63)= lhs-rhs;
lhs =y(64);
rhs =y(63);
residual(64)= lhs-rhs;
lhs =y(65);
rhs =y(64);
residual(65)= lhs-rhs;
lhs =y(66);
rhs =y(65);
residual(66)= lhs-rhs;
lhs =y(67);
rhs =y(66);
residual(67)= lhs-rhs;
lhs =y(68);
rhs =y(67);
residual(68)= lhs-rhs;
lhs =y(69);
rhs =y(68);
residual(69)= lhs-rhs;
lhs =y(70);
rhs =y(69);
residual(70)= lhs-rhs;
lhs =y(71);
rhs =y(70);
residual(71)= lhs-rhs;
lhs =y(72);
rhs =y(71);
residual(72)= lhs-rhs;
lhs =y(73);
rhs =y(72);
residual(73)= lhs-rhs;
lhs =y(74);
rhs =y(73);
residual(74)= lhs-rhs;
lhs =y(75);
rhs =y(74);
residual(75)= lhs-rhs;
lhs =y(76);
rhs =y(75);
residual(76)= lhs-rhs;
lhs =y(77);
rhs =y(76);
residual(77)= lhs-rhs;
lhs =y(78);
rhs =y(77);
residual(78)= lhs-rhs;
lhs =y(79);
rhs =y(78);
residual(79)= lhs-rhs;
lhs =y(80);
rhs =y(79);
residual(80)= lhs-rhs;
lhs =y(81);
rhs =y(80);
residual(81)= lhs-rhs;
lhs =y(82);
rhs =y(81);
residual(82)= lhs-rhs;
lhs =y(83);
rhs =y(82);
residual(83)= lhs-rhs;
lhs =y(84);
rhs =y(83);
residual(84)= lhs-rhs;
lhs =y(85);
rhs =y(84);
residual(85)= lhs-rhs;
lhs =y(86);
rhs =y(85);
residual(86)= lhs-rhs;
lhs =y(87);
rhs =y(86);
residual(87)= lhs-rhs;
lhs =y(88);
rhs =y(87);
residual(88)= lhs-rhs;
lhs =y(89);
rhs =y(88);
residual(89)= lhs-rhs;
lhs =y(90);
rhs =y(89);
residual(90)= lhs-rhs;
lhs =y(91);
rhs =y(90);
residual(91)= lhs-rhs;
lhs =y(92);
rhs =y(91);
residual(92)= lhs-rhs;
lhs =y(93);
rhs =y(92);
residual(93)= lhs-rhs;
lhs =y(94);
rhs =y(93);
residual(94)= lhs-rhs;
lhs =y(95);
rhs =T1190/y(19);
residual(95)= lhs-rhs;
lhs =y(96);
rhs =y(95);
residual(96)= lhs-rhs;
lhs =y(97);
rhs =y(96);
residual(97)= lhs-rhs;
lhs =y(98);
rhs =y(97);
residual(98)= lhs-rhs;
lhs =y(99);
rhs =y(98);
residual(99)= lhs-rhs;
lhs =y(100);
rhs =y(99);
residual(100)= lhs-rhs;
lhs =y(101);
rhs =y(100);
residual(101)= lhs-rhs;
lhs =y(102);
rhs =y(101);
residual(102)= lhs-rhs;
lhs =y(103);
rhs =y(102);
residual(103)= lhs-rhs;
lhs =y(104);
rhs =y(103);
residual(104)= lhs-rhs;
lhs =y(105);
rhs =y(104);
residual(105)= lhs-rhs;
lhs =y(106);
rhs =y(105);
residual(106)= lhs-rhs;
lhs =y(107);
rhs =y(106);
residual(107)= lhs-rhs;
lhs =y(108);
rhs =y(107);
residual(108)= lhs-rhs;
lhs =y(109);
rhs =y(108);
residual(109)= lhs-rhs;
lhs =y(110);
rhs =y(109);
residual(110)= lhs-rhs;
lhs =y(111);
rhs =y(110);
residual(111)= lhs-rhs;
lhs =y(112);
rhs =y(111);
residual(112)= lhs-rhs;
lhs =y(113);
rhs =y(112);
residual(113)= lhs-rhs;
lhs =y(114);
rhs =y(113);
residual(114)= lhs-rhs;
lhs =y(115);
rhs =y(114);
residual(115)= lhs-rhs;
lhs =y(116);
rhs =y(115);
residual(116)= lhs-rhs;
lhs =y(117);
rhs =y(116);
residual(117)= lhs-rhs;
lhs =y(118);
rhs =y(117);
residual(118)= lhs-rhs;
lhs =y(119);
rhs =y(118);
residual(119)= lhs-rhs;
lhs =y(120);
rhs =y(119);
residual(120)= lhs-rhs;
lhs =y(121);
rhs =y(120);
residual(121)= lhs-rhs;
lhs =y(122);
rhs =y(121);
residual(122)= lhs-rhs;
lhs =y(123);
rhs =y(122);
residual(123)= lhs-rhs;
lhs =y(124);
rhs =y(123);
residual(124)= lhs-rhs;
lhs =y(125);
rhs =y(124);
residual(125)= lhs-rhs;
lhs =y(126);
rhs =y(125);
residual(126)= lhs-rhs;
lhs =y(127);
rhs =y(126);
residual(127)= lhs-rhs;
lhs =y(128);
rhs =y(127);
residual(128)= lhs-rhs;
lhs =y(129);
rhs =y(128);
residual(129)= lhs-rhs;
lhs =y(130);
rhs =y(129);
residual(130)= lhs-rhs;
lhs =y(131);
rhs =y(130);
residual(131)= lhs-rhs;
lhs =y(132);
rhs =y(131);
residual(132)= lhs-rhs;
lhs =y(133);
rhs =y(132);
residual(133)= lhs-rhs;
lhs =y(134);
rhs =y(41);
residual(134)= lhs-rhs;
lhs =y(135);
rhs =y(42);
residual(135)= lhs-rhs;
lhs =y(136);
rhs =y(135);
residual(136)= lhs-rhs;
lhs =y(137);
rhs =y(43);
residual(137)= lhs-rhs;
lhs =y(138);
rhs =y(137);
residual(138)= lhs-rhs;
lhs =y(139);
rhs =y(138);
residual(139)= lhs-rhs;
lhs =y(140);
rhs =y(44);
residual(140)= lhs-rhs;
lhs =y(141);
rhs =y(140);
residual(141)= lhs-rhs;
lhs =y(142);
rhs =y(141);
residual(142)= lhs-rhs;
lhs =y(143);
rhs =y(142);
residual(143)= lhs-rhs;
lhs =y(144);
rhs =y(45);
residual(144)= lhs-rhs;
lhs =y(145);
rhs =y(144);
residual(145)= lhs-rhs;
lhs =y(146);
rhs =y(145);
residual(146)= lhs-rhs;
lhs =y(147);
rhs =y(146);
residual(147)= lhs-rhs;
lhs =y(148);
rhs =y(147);
residual(148)= lhs-rhs;
lhs =y(149);
rhs =y(46);
residual(149)= lhs-rhs;
lhs =y(150);
rhs =y(149);
residual(150)= lhs-rhs;
lhs =y(151);
rhs =y(150);
residual(151)= lhs-rhs;
lhs =y(152);
rhs =y(151);
residual(152)= lhs-rhs;
lhs =y(153);
rhs =y(152);
residual(153)= lhs-rhs;
lhs =y(154);
rhs =y(153);
residual(154)= lhs-rhs;
lhs =y(155);
rhs =y(47);
residual(155)= lhs-rhs;
lhs =y(156);
rhs =y(155);
residual(156)= lhs-rhs;
lhs =y(157);
rhs =y(156);
residual(157)= lhs-rhs;
lhs =y(158);
rhs =y(157);
residual(158)= lhs-rhs;
lhs =y(159);
rhs =y(158);
residual(159)= lhs-rhs;
lhs =y(160);
rhs =y(159);
residual(160)= lhs-rhs;
lhs =y(161);
rhs =y(160);
residual(161)= lhs-rhs;
lhs =y(162);
rhs =y(36);
residual(162)= lhs-rhs;
lhs =y(163);
rhs =y(162);
residual(163)= lhs-rhs;
lhs =y(164);
rhs =y(163);
residual(164)= lhs-rhs;
lhs =y(165);
rhs =y(164);
residual(165)= lhs-rhs;
lhs =y(166);
rhs =y(165);
residual(166)= lhs-rhs;
lhs =y(167);
rhs =y(166);
residual(167)= lhs-rhs;
lhs =y(168);
rhs =y(167);
residual(168)= lhs-rhs;
lhs =y(169);
rhs =y(168);
residual(169)= lhs-rhs;
lhs =y(170);
rhs =y(169);
residual(170)= lhs-rhs;
lhs =y(171);
rhs =y(170);
residual(171)= lhs-rhs;
lhs =y(172);
rhs =y(171);
residual(172)= lhs-rhs;
lhs =y(173);
rhs =y(172);
residual(173)= lhs-rhs;
lhs =y(174);
rhs =y(173);
residual(174)= lhs-rhs;
lhs =y(175);
rhs =y(174);
residual(175)= lhs-rhs;
lhs =y(176);
rhs =y(175);
residual(176)= lhs-rhs;
lhs =y(177);
rhs =y(176);
residual(177)= lhs-rhs;
lhs =y(178);
rhs =y(177);
residual(178)= lhs-rhs;
lhs =y(179);
rhs =y(178);
residual(179)= lhs-rhs;
lhs =y(180);
rhs =y(179);
residual(180)= lhs-rhs;
lhs =y(181);
rhs =y(180);
residual(181)= lhs-rhs;
lhs =y(182);
rhs =y(181);
residual(182)= lhs-rhs;
lhs =y(183);
rhs =y(182);
residual(183)= lhs-rhs;
lhs =y(184);
rhs =y(183);
residual(184)= lhs-rhs;
lhs =y(185);
rhs =y(184);
residual(185)= lhs-rhs;
lhs =y(186);
rhs =y(185);
residual(186)= lhs-rhs;
lhs =y(187);
rhs =y(186);
residual(187)= lhs-rhs;
lhs =y(188);
rhs =y(187);
residual(188)= lhs-rhs;
lhs =y(189);
rhs =y(188);
residual(189)= lhs-rhs;
lhs =y(190);
rhs =y(189);
residual(190)= lhs-rhs;
lhs =y(191);
rhs =y(190);
residual(191)= lhs-rhs;
lhs =y(192);
rhs =y(191);
residual(192)= lhs-rhs;
lhs =y(193);
rhs =y(192);
residual(193)= lhs-rhs;
lhs =y(194);
rhs =y(193);
residual(194)= lhs-rhs;
lhs =y(195);
rhs =y(194);
residual(195)= lhs-rhs;
lhs =y(196);
rhs =y(195);
residual(196)= lhs-rhs;
lhs =y(197);
rhs =y(196);
residual(197)= lhs-rhs;
lhs =y(198);
rhs =y(197);
residual(198)= lhs-rhs;
lhs =y(199);
rhs =y(198);
residual(199)= lhs-rhs;
lhs =y(200);
rhs =y(49);
residual(200)= lhs-rhs;
lhs =y(201);
rhs =y(200);
residual(201)= lhs-rhs;
lhs =y(202);
rhs =y(201);
residual(202)= lhs-rhs;
lhs =y(203);
rhs =y(202);
residual(203)= lhs-rhs;
lhs =y(204);
rhs =y(203);
residual(204)= lhs-rhs;
lhs =y(205);
rhs =y(204);
residual(205)= lhs-rhs;
lhs =y(206);
rhs =y(205);
residual(206)= lhs-rhs;
lhs =y(207);
rhs =y(206);
residual(207)= lhs-rhs;
lhs =y(208);
rhs =y(207);
residual(208)= lhs-rhs;
lhs =y(209);
rhs =y(208);
residual(209)= lhs-rhs;
lhs =y(210);
rhs =y(209);
residual(210)= lhs-rhs;
lhs =y(211);
rhs =y(210);
residual(211)= lhs-rhs;
lhs =y(212);
rhs =y(211);
residual(212)= lhs-rhs;
lhs =y(213);
rhs =y(212);
residual(213)= lhs-rhs;
lhs =y(214);
rhs =y(213);
residual(214)= lhs-rhs;
lhs =y(215);
rhs =y(214);
residual(215)= lhs-rhs;
lhs =y(216);
rhs =y(215);
residual(216)= lhs-rhs;
lhs =y(217);
rhs =y(216);
residual(217)= lhs-rhs;
lhs =y(218);
rhs =y(217);
residual(218)= lhs-rhs;
lhs =y(219);
rhs =y(218);
residual(219)= lhs-rhs;
lhs =y(220);
rhs =y(219);
residual(220)= lhs-rhs;
lhs =y(221);
rhs =y(220);
residual(221)= lhs-rhs;
lhs =y(222);
rhs =y(221);
residual(222)= lhs-rhs;
lhs =y(223);
rhs =y(222);
residual(223)= lhs-rhs;
lhs =y(224);
rhs =y(223);
residual(224)= lhs-rhs;
lhs =y(225);
rhs =y(224);
residual(225)= lhs-rhs;
lhs =y(226);
rhs =y(225);
residual(226)= lhs-rhs;
lhs =y(227);
rhs =y(226);
residual(227)= lhs-rhs;
lhs =y(228);
rhs =y(227);
residual(228)= lhs-rhs;
lhs =y(229);
rhs =y(228);
residual(229)= lhs-rhs;
lhs =y(230);
rhs =y(229);
residual(230)= lhs-rhs;
lhs =y(231);
rhs =y(230);
residual(231)= lhs-rhs;
lhs =y(232);
rhs =y(231);
residual(232)= lhs-rhs;
lhs =y(233);
rhs =y(232);
residual(233)= lhs-rhs;
lhs =y(234);
rhs =y(233);
residual(234)= lhs-rhs;
lhs =y(235);
rhs =y(234);
residual(235)= lhs-rhs;
lhs =y(236);
rhs =y(235);
residual(236)= lhs-rhs;
lhs =y(237);
rhs =y(24);
residual(237)= lhs-rhs;
lhs =y(238);
rhs =y(237);
residual(238)= lhs-rhs;
lhs =y(239);
rhs =y(238);
residual(239)= lhs-rhs;
lhs =y(240);
rhs =y(239);
residual(240)= lhs-rhs;
lhs =y(241);
rhs =y(240);
residual(241)= lhs-rhs;
lhs =y(242);
rhs =y(241);
residual(242)= lhs-rhs;
lhs =y(243);
rhs =y(242);
residual(243)= lhs-rhs;
lhs =y(244);
rhs =y(243);
residual(244)= lhs-rhs;
lhs =y(245);
rhs =y(244);
residual(245)= lhs-rhs;
lhs =y(246);
rhs =y(245);
residual(246)= lhs-rhs;
lhs =y(247);
rhs =y(246);
residual(247)= lhs-rhs;
lhs =y(248);
rhs =y(247);
residual(248)= lhs-rhs;
lhs =y(249);
rhs =y(248);
residual(249)= lhs-rhs;
lhs =y(250);
rhs =y(249);
residual(250)= lhs-rhs;
lhs =y(251);
rhs =y(250);
residual(251)= lhs-rhs;
lhs =y(252);
rhs =y(251);
residual(252)= lhs-rhs;
lhs =y(253);
rhs =y(252);
residual(253)= lhs-rhs;
lhs =y(254);
rhs =y(253);
residual(254)= lhs-rhs;
lhs =y(255);
rhs =y(254);
residual(255)= lhs-rhs;
lhs =y(256);
rhs =y(255);
residual(256)= lhs-rhs;
lhs =y(257);
rhs =y(256);
residual(257)= lhs-rhs;
lhs =y(258);
rhs =y(257);
residual(258)= lhs-rhs;
lhs =y(259);
rhs =y(258);
residual(259)= lhs-rhs;
lhs =y(260);
rhs =y(259);
residual(260)= lhs-rhs;
lhs =y(261);
rhs =y(260);
residual(261)= lhs-rhs;
lhs =y(262);
rhs =y(261);
residual(262)= lhs-rhs;
lhs =y(263);
rhs =y(262);
residual(263)= lhs-rhs;
lhs =y(264);
rhs =y(263);
residual(264)= lhs-rhs;
lhs =y(265);
rhs =y(264);
residual(265)= lhs-rhs;
lhs =y(266);
rhs =y(265);
residual(266)= lhs-rhs;
lhs =y(267);
rhs =y(266);
residual(267)= lhs-rhs;
lhs =y(268);
rhs =y(267);
residual(268)= lhs-rhs;
lhs =y(269);
rhs =y(268);
residual(269)= lhs-rhs;
lhs =y(270);
rhs =y(269);
residual(270)= lhs-rhs;
lhs =y(271);
rhs =y(270);
residual(271)= lhs-rhs;
lhs =y(272);
rhs =y(271);
residual(272)= lhs-rhs;
lhs =y(273);
rhs =y(272);
residual(273)= lhs-rhs;
lhs =y(274);
rhs =y(19);
residual(274)= lhs-rhs;
lhs =y(275);
rhs =y(274);
residual(275)= lhs-rhs;
lhs =y(276);
rhs =y(275);
residual(276)= lhs-rhs;
lhs =y(277);
rhs =y(276);
residual(277)= lhs-rhs;
lhs =y(278);
rhs =y(277);
residual(278)= lhs-rhs;
lhs =y(279);
rhs =y(278);
residual(279)= lhs-rhs;
lhs =y(280);
rhs =y(279);
residual(280)= lhs-rhs;
lhs =y(281);
rhs =y(280);
residual(281)= lhs-rhs;
lhs =y(282);
rhs =y(281);
residual(282)= lhs-rhs;
lhs =y(283);
rhs =y(282);
residual(283)= lhs-rhs;
lhs =y(284);
rhs =y(283);
residual(284)= lhs-rhs;
lhs =y(285);
rhs =y(284);
residual(285)= lhs-rhs;
lhs =y(286);
rhs =y(285);
residual(286)= lhs-rhs;
lhs =y(287);
rhs =y(286);
residual(287)= lhs-rhs;
lhs =y(288);
rhs =y(287);
residual(288)= lhs-rhs;
lhs =y(289);
rhs =y(288);
residual(289)= lhs-rhs;
lhs =y(290);
rhs =y(289);
residual(290)= lhs-rhs;
lhs =y(291);
rhs =y(290);
residual(291)= lhs-rhs;
lhs =y(292);
rhs =y(291);
residual(292)= lhs-rhs;
lhs =y(293);
rhs =y(292);
residual(293)= lhs-rhs;
lhs =y(294);
rhs =y(293);
residual(294)= lhs-rhs;
lhs =y(295);
rhs =y(294);
residual(295)= lhs-rhs;
lhs =y(296);
rhs =y(295);
residual(296)= lhs-rhs;
lhs =y(297);
rhs =y(296);
residual(297)= lhs-rhs;
lhs =y(298);
rhs =y(297);
residual(298)= lhs-rhs;
lhs =y(299);
rhs =y(298);
residual(299)= lhs-rhs;
lhs =y(300);
rhs =y(299);
residual(300)= lhs-rhs;
lhs =y(301);
rhs =y(300);
residual(301)= lhs-rhs;
lhs =y(302);
rhs =y(301);
residual(302)= lhs-rhs;
lhs =y(303);
rhs =y(302);
residual(303)= lhs-rhs;
lhs =y(304);
rhs =y(303);
residual(304)= lhs-rhs;
lhs =y(305);
rhs =y(304);
residual(305)= lhs-rhs;
lhs =y(306);
rhs =y(305);
residual(306)= lhs-rhs;
lhs =y(307);
rhs =y(306);
residual(307)= lhs-rhs;
lhs =y(308);
rhs =y(307);
residual(308)= lhs-rhs;
lhs =y(309);
rhs =y(308);
residual(309)= lhs-rhs;
lhs =y(310);
rhs =y(309);
residual(310)= lhs-rhs;
lhs =y(311);
rhs =y(33);
residual(311)= lhs-rhs;
lhs =y(312);
rhs =y(311);
residual(312)= lhs-rhs;
lhs =y(313);
rhs =y(312);
residual(313)= lhs-rhs;
lhs =y(314);
rhs =y(313);
residual(314)= lhs-rhs;
lhs =y(315);
rhs =y(314);
residual(315)= lhs-rhs;
lhs =y(316);
rhs =y(315);
residual(316)= lhs-rhs;
lhs =y(317);
rhs =y(316);
residual(317)= lhs-rhs;
lhs =y(318);
rhs =y(317);
residual(318)= lhs-rhs;
lhs =y(319);
rhs =y(318);
residual(319)= lhs-rhs;
lhs =y(320);
rhs =y(319);
residual(320)= lhs-rhs;
lhs =y(321);
rhs =y(320);
residual(321)= lhs-rhs;
lhs =y(322);
rhs =y(321);
residual(322)= lhs-rhs;
lhs =y(323);
rhs =y(322);
residual(323)= lhs-rhs;
lhs =y(324);
rhs =y(323);
residual(324)= lhs-rhs;
lhs =y(325);
rhs =y(324);
residual(325)= lhs-rhs;
lhs =y(326);
rhs =y(325);
residual(326)= lhs-rhs;
lhs =y(327);
rhs =y(326);
residual(327)= lhs-rhs;
lhs =y(328);
rhs =y(327);
residual(328)= lhs-rhs;
lhs =y(329);
rhs =y(328);
residual(329)= lhs-rhs;
lhs =y(330);
rhs =y(329);
residual(330)= lhs-rhs;
lhs =y(331);
rhs =y(330);
residual(331)= lhs-rhs;
lhs =y(332);
rhs =y(331);
residual(332)= lhs-rhs;
lhs =y(333);
rhs =y(332);
residual(333)= lhs-rhs;
lhs =y(334);
rhs =y(333);
residual(334)= lhs-rhs;
lhs =y(335);
rhs =y(334);
residual(335)= lhs-rhs;
lhs =y(336);
rhs =y(335);
residual(336)= lhs-rhs;
lhs =y(337);
rhs =y(336);
residual(337)= lhs-rhs;
lhs =y(338);
rhs =y(337);
residual(338)= lhs-rhs;
lhs =y(339);
rhs =y(338);
residual(339)= lhs-rhs;
lhs =y(340);
rhs =y(339);
residual(340)= lhs-rhs;
lhs =y(341);
rhs =y(340);
residual(341)= lhs-rhs;
lhs =y(342);
rhs =y(341);
residual(342)= lhs-rhs;
lhs =y(343);
rhs =y(342);
residual(343)= lhs-rhs;
lhs =y(344);
rhs =y(343);
residual(344)= lhs-rhs;
lhs =y(345);
rhs =y(344);
residual(345)= lhs-rhs;
lhs =y(346);
rhs =y(345);
residual(346)= lhs-rhs;
lhs =y(347);
rhs =y(346);
residual(347)= lhs-rhs;
lhs =y(348);
rhs =y(347);
residual(348)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(348, 348);

%
% Jacobian matrix
%

  g1(1,5)=(-((1-params(72))*(y(5)*T27-Kp__)/(y(5)*y(5))*getPowerDeriv(T189,T190,1)*T1709));
  g1(1,16)=(-(T198*(((-y(16))-(1-y(16)))/(y(16)*y(16))*log(T196)+(1-y(16))/y(16)*((1-params(72))*T191*(T1864*log(T189)+T190*T1860/y(5)/T189)+params(72)*T194*T1864*log(T18*y(28)))/T196)));
  g1(1,24)=(-(T1709*((1-params(72))*getPowerDeriv(T189,T190,1)*T2366/y(5)+params(72)*y(28)*T2358*T2371)));
  g1(1,26)=(-(T1709*((1-params(72))*getPowerDeriv(T189,T190,1)*T2508/y(5)+params(72)*T2371*y(28)*T2502)));
  g1(1,28)=1-T1709*params(72)*T18*T2371;
  g1(2,4)=(-(y(54)*y(17)*T71*T78*T88));
  g1(2,5)=1-T207;
  g1(2,10)=(-(y(54)*y(17)*T1753));
  g1(2,15)=(-(y(54)*y(17)*T1807));
  g1(2,16)=(-(y(54)*y(17)*T1893+y(5)*params(72)*params(8)*T95*1/((1-y(16))*(1-y(16)))*log(T94)));
  g1(2,17)=(-(y(54)*yz__));
  g1(2,19)=(-(y(54)*y(17)*T2062));
  g1(2,23)=(-(y(54)*y(17)*(-T71)));
  g1(2,24)=(-(y(5)*params(72)*params(8)*T2380));
  g1(2,26)=(-(y(5)*params(72)*params(8)*getPowerDeriv(T94,T21,1)*T2502));
  g1(2,28)=(-(y(54)*y(17)*T2594));
  g1(2,50)=(-(y(54)*y(17)*T2794));
  g1(2,53)=(-(y(54)*y(17)*T2838));
  g1(2,54)=(-(y(17)*yz__));
  g1(3,4)=(-(y(37)*T71*y(17)*y(16)*y(54)*T71*T78*T88));
  g1(3,5)=T27-T99*T219;
  g1(3,10)=(-(y(37)*T71*y(17)*y(16)*y(54)*T1753));
  g1(3,15)=(-(y(37)*T71*y(17)*y(16)*y(54)*T1807));
  g1(3,16)=T1860-(y(37)*(T71*y(17)*y(16)*y(54)*T1893+yz__*(y(17)*y(16)*y(54)*T1892+T71*y(54)*y(17)))+Kpp1__*params(72)*params(8)*T94^T190*T1864*log(T94)+T219*y(5)*T99*((-log(T98))+(1-y(16))*(-(params(72)*T95*1/((1-y(16))*(1-y(16)))*log(T94)))/(1-params(72))/T98));
  g1(3,17)=(-(y(37)*yz__*T71*y(16)*y(54)));
  g1(3,19)=(-(y(37)*T71*y(17)*y(16)*y(54)*T2062));
  g1(3,23)=(-(y(37)*T71*y(17)*y(16)*y(54)*(-T71)));
  g1(3,24)=T2366-(Kpp1__*params(72)*params(8)*(T2355-pitildep1__)/(y(24)*y(24))*getPowerDeriv(T94,T190,1)+T219*y(5)*(-(params(72)*T2380))/(1-params(72))*getPowerDeriv(T98,1-y(16),1));
  g1(3,26)=T2508-(Kpp1__*params(72)*params(8)*getPowerDeriv(T94,T190,1)*T2502+T219*y(5)*getPowerDeriv(T98,1-y(16),1)*(-(params(72)*getPowerDeriv(T94,T21,1)*T2502))/(1-params(72)));
  g1(3,28)=(-(y(37)*(T71*y(17)*y(16)*y(54)*T2594+yz__*y(17)*y(16)*y(54)*T2593)));
  g1(3,37)=(-(yz__*T71*y(17)*y(16)*y(54)));
  g1(3,50)=(-(y(37)*T71*y(17)*y(16)*y(54)*T2794));
  g1(3,53)=(-(y(37)*T71*y(17)*y(16)*y(54)*T2838));
  g1(3,54)=(-(y(37)*yz__*T71*y(16)*y(17)));
  g1(4,6)=1-T244;
  g1(4,10)=(-(T85*y(54)*y(17)*(1-params(67))/params(22)));
  g1(4,17)=(-((1-params(67))*y(10)*T85*y(54)/params(22)));
  g1(4,19)=(-(y(6)*(T243*T238*T233*getPowerDeriv(y(19),params(19)/(1-params(22))-1,1)/y(24)+T240*(-(y(24)*y(52)/y(52)))/(piwp1__*piwp1__)*T2077)));
  g1(4,24)=(-(y(6)*(T243*(y(24)*T237*T2399*T2400-T237*T238)/(y(24)*y(24))+T240*T2077*(-(y(19)*y(52)/y(52)))/(piwp1__*piwp1__))));
  g1(4,26)=(-(y(6)*T243*T237*T2400*T2535/y(24)));
  g1(4,53)=(-((1-params(67))*y(10)*y(54)*y(17)*T2834/params(22)));
  g1(4,54)=(-((1-params(67))*y(10)*T85*y(17)/params(22)));
  g1(5,6)=y(52)*T145^(1-params(22)*(1+params(48)))/params(32)-T255*y(52)*T126^(1-params(22)*(1+params(48)))/params(32);
  g1(5,10)=(-(params(74)*y(54)*T85*getPowerDeriv(y(10)*T85,1+params(48),1)));
  g1(5,19)=y(6)*y(52)*T2097*T2098/params(32)-(Kwp1__*params(73)*params(8)*T2109*T2110+T255*y(6)*y(52)*(-(params(73)*T2109*getPowerDeriv(T119,T121,1)))/(1-params(73))*T2118/params(32));
  g1(5,24)=y(6)*y(52)*T2098*T2425/params(32)-(Kwp1__*params(73)*params(8)*T2110*T2435+T255*y(6)*y(52)*T2118*(-(params(73)*getPowerDeriv(T119,T121,1)*T2435))/(1-params(73))/params(32));
  g1(5,26)=y(6)*y(52)*T2098*T2548/params(32)-(Kwp1__*params(73)*params(8)*T2110*T118*T116*T2535/piwp1__+T255*y(6)*y(52)*T2118*(-(params(73)*getPowerDeriv(T119,T121,1)*T118*T116*T2535/piwp1__))/(1-params(73))/params(32));
  g1(5,52)=y(6)*T145^(1-params(22)*(1+params(48)))/params(32)-T255*T126^(1-params(22)*(1+params(48)))*y(6)/params(32);
  g1(5,53)=(-(params(74)*y(54)*getPowerDeriv(y(10)*T85,1+params(48),1)*y(10)*T2834));
  g1(5,54)=(-((y(10)*T85)^(1+params(48))*params(74)));
  g1(6,19)=(-(((1-params(73))*T2097*getPowerDeriv(T145,params(22),1)+params(73)*y(53)*T2092*T2131)*T2135));
  g1(6,24)=(-(T2135*((1-params(73))*getPowerDeriv(T145,params(22),1)*T2425+params(73)*T2131*y(53)*T2421)));
  g1(6,26)=(-(T2135*((1-params(73))*getPowerDeriv(T145,params(22),1)*T2548+params(73)*T2131*y(53)*T118*T116*T2535/piw__)));
  g1(6,53)=1-T2135*params(73)*T141*T2131;
  g1(7,34)=1-exp(params(50)*(y(50)-1))*params(68);
  g1(7,50)=(-(params(68)*rk_ss__*params(50)*exp(params(50)*(y(50)-1))));
  g1(8,4)=(-(y(37)*params(4)*T278));
  g1(8,10)=(-(y(37)*y(4)*params(4)*y(19)*params(70)*T85/(y(50)*y(15))*T1769));
  g1(8,15)=(-(y(37)*y(4)*params(4)*T1769*(-(y(50)*T85*y(19)*params(70)*y(10)))/(y(50)*y(15)*y(50)*y(15))));
  g1(8,19)=(-(y(37)*y(4)*params(4)*T1769*T85*params(70)*y(10)/(y(50)*y(15))));
  g1(8,34)=1;
  g1(8,37)=(-(y(4)*params(4)*T278));
  g1(8,50)=(-(y(37)*y(4)*params(4)*T1769*(-(y(15)*T85*y(19)*params(70)*y(10)))/(y(50)*y(15)*y(50)*y(15))));
  g1(8,53)=(-(y(37)*y(4)*params(4)*T1769*y(19)*params(70)*y(10)*T2834/(y(50)*y(15))));
  g1(9,4)=(-((-T286)/(y(4)*y(4))));
  g1(9,34)=(-(T285*1/params(4)*getPowerDeriv(y(34)/params(4),params(4),1)/y(4)));
  g1(9,37)=1;
  g1(9,52)=(-(T283*1/(1-params(4))*getPowerDeriv(y(52)/(1-params(4)),1-params(4),1)/y(4)));
  g1(10,1)=T3;
  g1(10,4)=T71*T78*T88;
  g1(10,7)=T3;
  g1(10,8)=(-((y(8)*(y(20)-params(71))*(-params(9))-params(9)*(1-y(8))*(y(20)-params(71)))/(y(8)*y(8))));
  g1(10,10)=T1753;
  g1(10,12)=(-(1/y(18)));
  g1(10,15)=T1807-(params(68)*a__/(y(19)*params(70))+(G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*(1+y(35))*y(29)/(y(24)*y(19)));
  g1(10,16)=T1893;
  g1(10,18)=(-((-y(12))/(y(18)*y(18))));
  g1(10,19)=T2062-((-(params(70)*y(15)*params(68)*a__))/(y(19)*params(70)*y(19)*params(70))+(-(y(24)*T64))/(y(24)*y(19)*y(24)*y(19)));
  g1(10,20)=(-(params(9)*(1-y(8))/y(8)));
  g1(10,22)=(-(y(15)*y(29)*(1+y(35))*(T2276+T2285-(T2285+(1-params(23))*T2276))/(y(24)*y(19))));
  g1(10,23)=(-T71);
  g1(10,24)=(-((-(T64*y(19)))/(y(24)*y(19)*y(24)*y(19))));
  g1(10,28)=T2594;
  g1(10,29)=(-((G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*(1+y(35))*y(15)/(y(24)*y(19))));
  g1(10,35)=(-(y(15)*(G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*y(29)/(y(24)*y(19))));
  g1(10,38)=(-(y(15)*y(29)*(1+y(35))*(T2275*(T2700-1)+y(22)*(-(T2281*T2700))-(y(22)*(-(T2281*T2700))+(1-params(23))*T2275*(T2700-1)))/(y(24)*y(19))));
  g1(10,50)=T2794-y(15)*params(68)*params(46)*params(50)*exp(params(50)*(y(50)-1))/params(50)/(y(19)*params(70));
  g1(10,53)=T2838;
  g1(11,12)=(-(1-S__));
  g1(11,15)=1-(1-params(11))/(y(19)*params(70));
  g1(11,19)=(-((-(params(70)*y(15)*(1-params(11))))/(y(19)*params(70)*y(19)*params(70))+y(12)*(-(T2161+T2163))));
  g1(11,55)=(-(y(12)*(-(T2989+T2991))));
  g1(12,17)=(-((1+(1-params(65))*y(30))*y(54)*params(8)/(y(24)*y(19))-y(54)));
  g1(12,19)=(-((1+(1-params(65))*y(30))*(-(y(24)*y(17)*y(54)*params(8)))/(y(24)*y(19)*y(24)*y(19))));
  g1(12,24)=(-((1+(1-params(65))*y(30))*(-(y(19)*y(17)*y(54)*params(8)))/(y(24)*y(19)*y(24)*y(19))));
  g1(12,30)=(-(y(17)*y(54)*params(8)/(y(24)*y(19))*(1-params(65))));
  g1(12,54)=(-((1+(1-params(65))*y(30))*y(17)*params(8)/(y(24)*y(19))-y(17)));
  g1(13,1)=(-((-(y(19)*y(54)*(y(19)-params(7))))/((y(19)*y(1)-y(1)*params(7))*(y(19)*y(1)-y(1)*params(7)))-(-(y(54)*params(8)*params(7)*(y(19)-params(7))))/((y(19)*y(1)-y(1)*params(7))*(y(19)*y(1)-y(1)*params(7)))));
  g1(13,17)=y(54)*(1+params(64));
  g1(13,19)=(-((y(54)*(y(19)*y(1)-y(1)*params(7))-y(1)*y(19)*y(54))/((y(19)*y(1)-y(1)*params(7))*(y(19)*y(1)-y(1)*params(7)))-(-(y(1)*y(54)*params(8)*params(7)))/((y(19)*y(1)-y(1)*params(7))*(y(19)*y(1)-y(1)*params(7)))));
  g1(13,54)=y(17)*(1+params(64))-(y(19)/(y(19)*y(1)-y(1)*params(7))-params(8)*params(7)/(y(19)*y(1)-y(1)*params(7)));
  g1(14,22)=(-((1+y(35))*((-T2276)-(1-Fp1__+y(22)*(-(T2268*T2281))))/(1+y(30))+T366*(T360*(-(T2268*T2281))-(1-Fp1__)*((-(T2268*T2281))-(y(22)*(params(23)*T356+y(22)*params(23)*T356*T44*(-T2268))-y(22)*params(23)*T356)/(y(22)*y(22))/y(38)))/(T360*T360)+T361*(1+y(35))/(1+y(30))*((1-params(23))*T2276+1-Fp1__+y(22)*(-(T2268*T2281)))));
  g1(14,30)=(-((-((1+y(35))*(1-Gp1__-y(22)*(1-Fp1__))))/((1+y(30))*(1+y(30)))+T361*(y(22)*(1-Fp1__)+(1-params(23))*Gp1__)*(-(1+y(35)))/((1+y(30))*(1+y(30)))));
  g1(14,35)=(-((1-Gp1__-y(22)*(1-Fp1__))/(1+y(30))+T361*(y(22)*(1-Fp1__)+(1-params(23))*Gp1__)*1/(1+y(30))));
  g1(14,38)=(-((1+y(35))*((-(T2275*(T2700-1)))-y(22)*(-(T2281*T2700)))/(1+y(30))+T366*(T360*(-(T2281*T2700))-(1-Fp1__)*((-(T2281*T2700))-(y(38)*y(22)*params(23)*T356*T44*(-T2700)/y(22)-y(22)*params(23)*T356/y(22))/(y(38)*y(38))))/(T360*T360)+T361*(1+y(35))/(1+y(30))*(y(22)*(-(T2281*T2700))+(1-params(23))*T2275*(T2700-1))));
  g1(15,24)=(-(((1-params(66))*(y(50)*y(34)-params(68)*a__)+y(29)*(1-params(11)))/(y(29)*params(70))));
  g1(15,29)=(-((y(29)*params(70)*y(24)*(1-params(11))-params(70)*y(24)*((1-params(66))*(y(50)*y(34)-params(68)*a__)+y(29)*(1-params(11))))/(y(29)*params(70)*y(29)*params(70))));
  g1(15,34)=(-(y(24)*y(50)*(1-params(66))/(y(29)*params(70))));
  g1(15,35)=1;
  g1(15,50)=(-(y(24)*(1-params(66))*(y(34)-params(68)*params(46)*params(50)*exp(params(50)*(y(50)-1))/params(50))/(y(29)*params(70))));
  g1(16,12)=(-(y(29)*y(54)*y(17)*(y(12)*params(70)*y(19)*y(55)*(-Spr__)-params(70)*y(19)*y(12)*y(55)*(-Spr__))/(y(12)*y(12))+y(29)*y(17)*y(54)*params(8)*Sprp1__*(params(70)*y(19)*y(55)*y(12)-params(70)*y(19)*y(55)*y(12))/(y(12)*y(12))*T1790/(y(19)*params(70))));
  g1(16,17)=(-((-y(54))/y(18)+T395*y(29)*y(54)+T405*Sprp1__*y(29)*y(54)*params(8)/(y(19)*params(70))));
  g1(16,18)=(-((-(y(17)*(-y(54))))/(y(18)*y(18))));
  g1(16,19)=(-(y(29)*y(54)*y(17)*(params(70)*(y(12)*y(55)*(-Spr__)+y(19)*y(12)*y(55)*(-(T154*(T2161-T2163))))/y(12)-(T2161+T2163))+(y(19)*params(70)*(T405*y(29)*y(17)*y(54)*params(8)*T154*(T2161-T2163)+y(29)*y(17)*y(54)*params(8)*Sprp1__*T1790*params(70)*y(55)*y(12)/y(12))-params(70)*y(29)*y(17)*y(54)*params(8)*Sprp1__*T405)/(y(19)*params(70)*y(19)*params(70))));
  g1(16,29)=(-(y(54)*y(17)*T395+T405*y(17)*y(54)*params(8)*Sprp1__/(y(19)*params(70))));
  g1(16,54)=(-((-y(17))/y(18)+T395*y(29)*y(17)+T405*Sprp1__*y(29)*y(17)*params(8)/(y(19)*params(70))));
  g1(16,55)=(-(y(29)*y(54)*y(17)*(params(70)*y(19)*y(12)*((-Spr__)+y(55)*(-(T154*(T2989-T2991))))/y(12)-(T2989+T2991))+(T405*y(29)*y(17)*y(54)*params(8)*T154*(T2989-T2991)+y(29)*y(17)*y(54)*params(8)*Sprp1__*T1790*params(70)*y(19)*y(12)/y(12))/(y(19)*params(70))));
  g1(17,1)=T461*params(10)*1/params(10)/(y(1)/params(10))/T445;
  g1(17,7)=T461*params(15)*1/params(15)/(y(7)/params(15))/T445;
  g1(17,12)=T461*params(17)*1/params(17)/(y(12)/params(17))/T445;
  g1(17,18)=T461*(-(params(17)*1/y(18)))/T445;
  g1(17,19)=(-(params(25)*(1-params(45))*1/(params(33)*4)*params(3)*T2208+params(25)*1/params(33)*(1-params(45))*params(1)*T2208));
  g1(17,24)=(-(T426*1/y(24)));
  g1(17,26)=(-(1/params(33)*(1-params(45))*params(27)*1/params(27)/(y(26)/params(27))+T426*(-(1/y(26)))));
  g1(17,30)=T2642-params(45)*T2642;
  g1(18,15)=(y(22)*(1-F__)+G__*(1-params(23)))*(1+y(35))*y(29)/(y(20)*(1+y(30)))-y(29)/y(20);
  g1(18,20)=(-((1+y(30))*(y(22)*(1-F__)+G__*(1-params(23)))*(1+y(35))*y(29)*y(15)))/(y(20)*(1+y(30))*y(20)*(1+y(30)))-(-(y(29)*y(15)))/(y(20)*y(20));
  g1(18,22)=(1+y(35))*y(29)*y(15)*(T2285+(1-params(23))*T2276)/(y(20)*(1+y(30)));
  g1(18,29)=(y(22)*(1-F__)+G__*(1-params(23)))*(1+y(35))*y(15)/(y(20)*(1+y(30)))-y(15)/y(20);
  g1(18,30)=(-(y(20)*(y(22)*(1-F__)+G__*(1-params(23)))*(1+y(35))*y(29)*y(15)))/(y(20)*(1+y(30))*y(20)*(1+y(30)));
  g1(18,35)=(y(22)*(1-F__)+G__*(1-params(23)))*y(29)*y(15)/(y(20)*(1+y(30)));
  g1(18,38)=(1+y(35))*y(29)*y(15)*(y(22)*(-(T2281*T2700))+(1-params(23))*T2275*(T2700-1))/(y(20)*(1+y(30)));
  g1(19,8)=(-(y(29)*y(15)*T496*T1739+y(20)*(1+y(30))/(y(24)*y(19))));
  g1(19,15)=(-(y(29)*T497));
  g1(19,19)=(-(y(29)*y(15)*T496*(-(y(24)*y(8)))/(y(24)*y(19)*y(24)*y(19))+(-(y(24)*y(20)*y(8)*(1+y(30))))/(y(24)*y(19)*y(24)*y(19))));
  g1(19,20)=1-y(8)*(1+y(30))/(y(24)*y(19));
  g1(19,22)=(-(y(29)*y(15)*T494*(-((1+y(35))*(T2276+T2285-(T2285+(1-params(23))*T2276))))));
  g1(19,24)=(-(y(29)*y(15)*T496*(-(y(19)*y(8)))/(y(24)*y(19)*y(24)*y(19))+(-(y(19)*y(20)*y(8)*(1+y(30))))/(y(24)*y(19)*y(24)*y(19))));
  g1(19,29)=(-(y(15)*T497));
  g1(19,30)=(-(y(29)*y(15)*(-T494)+y(20)*y(8)/(y(24)*y(19))));
  g1(19,35)=(-(y(29)*y(15)*T494*(1-(G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23)))))));
  g1(19,38)=(-(y(29)*y(15)*T494*(-((1+y(35))*(T2275*(T2700-1)+y(22)*(-(T2281*T2700))-(y(22)*(-(T2281*T2700))+(1-params(23))*T2275*(T2700-1)))))));
  g1(20,17)=y(54);
  g1(20,54)=y(17);
  g1(20,94)=T3;
  g1(21,17)=y(54);
  g1(21,54)=y(17);
  g1(21,133)=T3;
  g1(22,2)=1;
  g1(22,19)=T2224;
  g1(23,3)=1;
  g1(23,19)=T2224;
  g1(24,9)=1;
  g1(24,19)=T2224;
  g1(25,10)=(-((h_ss__-y(10))/(h_ss__*h_ss__)));
  g1(25,11)=1;
  g1(26,13)=1;
  g1(26,24)=(-(1/params(27)));
  g1(27,14)=1;
  g1(27,19)=T2224;
  g1(28,19)=T2224;
  g1(28,21)=1;
  g1(29,15)=(-(T542*(((G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*(1+y(35))*y(29)*(y(29)*y(15)-y(20))-y(29)*T64)/((y(29)*y(15)-y(20))*(y(29)*y(15)-y(20)))-(params(23)*G_ss__*(1+Rk_ss__)*(kbar_ss__-n_ss__)-params(23)*G_ss__*(1+Rk_ss__)*kbar_ss__)/((kbar_ss__-n_ss__)*(kbar_ss__-n_ss__)))));
  g1(29,20)=(-(T542*(T64/((y(29)*y(15)-y(20))*(y(29)*y(15)-y(20)))-params(23)*G_ss__*(1+Rk_ss__)*kbar_ss__/((kbar_ss__-n_ss__)*(kbar_ss__-n_ss__)))));
  g1(29,22)=(-(T542*(y(15)*y(29)*(1+y(35))*(T2276+T2285-(T2285+(1-params(23))*T2276))/(y(29)*y(15)-y(20))-kbar_ss__*(1+Rk_ss__)*params(23)*1/(y(22))/(y(38))*T2338/(kbar_ss__-n_ss__))));
  g1(29,27)=1;
  g1(29,29)=(-(T542*((y(29)*y(15)-y(20))*(G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*(1+y(35))*y(15)-y(15)*T64)/((y(29)*y(15)-y(20))*(y(29)*y(15)-y(20)))));
  g1(29,35)=(-(T542*(y(15)*(G__+y(22)*(1-F__)-(y(22)*(1-F__)+G__*(1-params(23))))*y(29)/(y(29)*y(15)-y(20))-params(23)*G_ss__*kbar_ss__/(kbar_ss__-n_ss__))));
  g1(29,38)=(-(T542*(y(15)*y(29)*(1+y(35))*(T2275*(T2700-1)+y(22)*(-(T2281*T2700))-(y(22)*(-(T2281*T2700))+(1-params(23))*T2275*(T2700-1)))/(y(29)*y(15)-y(20))-kbar_ss__*(1+Rk_ss__)*params(23)*T2338*(((y(38))*2*(y(38))/2-T177)/((y(38))*(y(38)))-1)/(kbar_ss__-n_ss__))));
  g1(30,25)=1;
  g1(31,30)=(-exp(y(30)-params(33)));
  g1(31,31)=1;
  g1(32,24)=(-((-(1+y(30)))/(y(24)*y(24))/((1+params(33))/params(27))));
  g1(32,30)=(-(1/y(24)/((1+params(33))/params(27))));
  g1(32,32)=1;
  g1(33,30)=1;
  g1(33,36)=T3;
  g1(33,48)=1;
  g1(34,19)=T2224;
  g1(34,51)=1;
  g1(35,4)=T1700-params(34)*T1700;
  g1(36,7)=T1729-params(35)*T1729;
  g1(37,8)=T1747-params(36)*T1747;
  g1(38,16)=T1929-params(37)*T1929;
  g1(39,18)=T2052-params(38)*T2052;
  g1(40,19)=T2208-params(39)*T2208;
  g1(41,26)=T2586-params(40)*T2586;
  g1(42,49)=T2779-params(42)*T2779;
  g1(43,54)=T2899-params(43)*T2899;
  g1(44,55)=T3019-params(44)*T3019;
  g1(45,38)=T2764-params(41)*T2764;
  g1(45,39)=(-(1/y(39)));
  g1(45,40)=(-(1/y(40)));
  g1(45,134)=(-(1/y(134)));
  g1(45,136)=(-(1/y(136)));
  g1(45,139)=(-(1/y(139)));
  g1(45,143)=(-(1/y(143)));
  g1(45,148)=(-(1/y(148)));
  g1(45,154)=(-(1/y(154)));
  g1(45,161)=(-(1/y(161)));
  g1(46,47)=1/y(47);
  g1(47,46)=1/y(46);
  g1(48,45)=1/y(45);
  g1(49,44)=1/y(44);
  g1(50,43)=1/y(43);
  g1(51,42)=1/y(42);
  g1(52,41)=1/y(41);
  g1(53,40)=1/y(40);
  g1(54,39)=1/y(39);
  g1(56,17)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T855*y(54)*(params(8)*(1+y(199)))^40*T849));
  g1(56,19)=(-(T1068*T2229+T837*(T1067*T2229+T837*T1066*T2229)));
  g1(56,24)=(-(T1068*T2491+T837*(T1067*T2491+T837*T1066*T2491)));
  g1(56,49)=(-(T1068*T1739+T837*(T1067*T1739+T837*T1066*T1739)));
  g1(56,54)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T855*T849*y(17)*(params(8)*(1+y(199)))^40));
  g1(56,56)=1;
  g1(56,199)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T855*T849*y(17)*y(54)*params(8)*40*(params(8)*(1+y(199)))^39));
  g1(56,200)=(-(T837*T837*T837*T1060*1/(y(237)*y(274))));
  g1(56,201)=(-(T837*T837*T837*T1065*T1054*1/(y(238)*y(275))));
  g1(56,202)=(-(T837*T837*T837*T1065*T1059*T1048*1/(y(239)*y(276))));
  g1(56,203)=(-(T837*T837*T837*T1065*T1059*T1053*T1042*1/(y(240)*y(277))));
  g1(56,204)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1036*1/(y(241)*y(278))));
  g1(56,205)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1030*1/(y(242)*y(279))));
  g1(56,206)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1024*1/(y(243)*y(280))));
  g1(56,207)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1018*1/(y(244)*y(281))));
  g1(56,208)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1012*1/(y(245)*y(282))));
  g1(56,209)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1006*1/(y(246)*y(283))));
  g1(56,210)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1000*1/(y(247)*y(284))));
  g1(56,211)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T994*1/(y(248)*y(285))));
  g1(56,212)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T988*1/(y(249)*y(286))));
  g1(56,213)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T982*1/(y(250)*y(287))));
  g1(56,214)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T976*1/(y(251)*y(288))));
  g1(56,215)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T970*1/(y(252)*y(289))));
  g1(56,216)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T964*1/(y(253)*y(290))));
  g1(56,217)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T958*1/(y(254)*y(291))));
  g1(56,218)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T952*1/(y(255)*y(292))));
  g1(56,219)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T946*1/(y(256)*y(293))));
  g1(56,220)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T940*1/(y(257)*y(294))));
  g1(56,221)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T934*1/(y(258)*y(295))));
  g1(56,222)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T928*1/(y(259)*y(296))));
  g1(56,223)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T922*1/(y(260)*y(297))));
  g1(56,224)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T916*1/(y(261)*y(298))));
  g1(56,225)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T910*1/(y(262)*y(299))));
  g1(56,226)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T904*1/(y(263)*y(300))));
  g1(56,227)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T898*1/(y(264)*y(301))));
  g1(56,228)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T892*1/(y(265)*y(302))));
  g1(56,229)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T886*1/(y(266)*y(303))));
  g1(56,230)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T880*1/(y(267)*y(304))));
  g1(56,231)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T874*1/(y(268)*y(305))));
  g1(56,232)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T868*1/(y(269)*y(306))));
  g1(56,233)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T862*1/(y(270)*y(307))));
  g1(56,234)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T856*1/(y(271)*y(308))));
  g1(56,235)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T850*1/(y(272)*y(309))));
  g1(56,236)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T855*T844*1/(y(273)*y(310))));
  g1(56,237)=(-(T837*T837*T837*T1060*(-(y(200)*y(274)))/(y(237)*y(274)*y(237)*y(274))));
  g1(56,238)=(-(T837*T837*T837*T1065*T1054*(-(y(201)*y(275)))/(y(238)*y(275)*y(238)*y(275))));
  g1(56,239)=(-(T837*T837*T837*T1065*T1059*T1048*(-(y(202)*y(276)))/(y(239)*y(276)*y(239)*y(276))));
  g1(56,240)=(-(T837*T837*T837*T1065*T1059*T1053*T1042*(-(y(203)*y(277)))/(y(240)*y(277)*y(240)*y(277))));
  g1(56,241)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1036*(-(y(204)*y(278)))/(y(241)*y(278)*y(241)*y(278))));
  g1(56,242)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1030*(-(y(205)*y(279)))/(y(242)*y(279)*y(242)*y(279))));
  g1(56,243)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1024*(-(y(206)*y(280)))/(y(243)*y(280)*y(243)*y(280))));
  g1(56,244)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1018*(-(y(207)*y(281)))/(y(244)*y(281)*y(244)*y(281))));
  g1(56,245)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1012*(-(y(208)*y(282)))/(y(245)*y(282)*y(245)*y(282))));
  g1(56,246)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1006*(-(y(209)*y(283)))/(y(246)*y(283)*y(246)*y(283))));
  g1(56,247)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1000*(-(y(210)*y(284)))/(y(247)*y(284)*y(247)*y(284))));
  g1(56,248)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T994*(-(y(211)*y(285)))/(y(248)*y(285)*y(248)*y(285))));
  g1(56,249)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T988*(-(y(212)*y(286)))/(y(249)*y(286)*y(249)*y(286))));
  g1(56,250)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T982*(-(y(213)*y(287)))/(y(250)*y(287)*y(250)*y(287))));
  g1(56,251)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T976*(-(y(214)*y(288)))/(y(251)*y(288)*y(251)*y(288))));
  g1(56,252)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T970*(-(y(215)*y(289)))/(y(252)*y(289)*y(252)*y(289))));
  g1(56,253)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T964*(-(y(216)*y(290)))/(y(253)*y(290)*y(253)*y(290))));
  g1(56,254)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T958*(-(y(217)*y(291)))/(y(254)*y(291)*y(254)*y(291))));
  g1(56,255)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T952*(-(y(218)*y(292)))/(y(255)*y(292)*y(255)*y(292))));
  g1(56,256)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T946*(-(y(219)*y(293)))/(y(256)*y(293)*y(256)*y(293))));
  g1(56,257)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T940*(-(y(220)*y(294)))/(y(257)*y(294)*y(257)*y(294))));
  g1(56,258)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T934*(-(y(221)*y(295)))/(y(258)*y(295)*y(258)*y(295))));
  g1(56,259)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T928*(-(y(222)*y(296)))/(y(259)*y(296)*y(259)*y(296))));
  g1(56,260)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T922*(-(y(223)*y(297)))/(y(260)*y(297)*y(260)*y(297))));
  g1(56,261)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T916*(-(y(224)*y(298)))/(y(261)*y(298)*y(261)*y(298))));
  g1(56,262)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T910*(-(y(225)*y(299)))/(y(262)*y(299)*y(262)*y(299))));
  g1(56,263)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T904*(-(y(226)*y(300)))/(y(263)*y(300)*y(263)*y(300))));
  g1(56,264)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T898*(-(y(227)*y(301)))/(y(264)*y(301)*y(264)*y(301))));
  g1(56,265)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T892*(-(y(228)*y(302)))/(y(265)*y(302)*y(265)*y(302))));
  g1(56,266)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T886*(-(y(229)*y(303)))/(y(266)*y(303)*y(266)*y(303))));
  g1(56,267)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T880*(-(y(230)*y(304)))/(y(267)*y(304)*y(267)*y(304))));
  g1(56,268)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T874*(-(y(231)*y(305)))/(y(268)*y(305)*y(268)*y(305))));
  g1(56,269)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T868*(-(y(232)*y(306)))/(y(269)*y(306)*y(269)*y(306))));
  g1(56,270)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T862*(-(y(233)*y(307)))/(y(270)*y(307)*y(270)*y(307))));
  g1(56,271)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T856*(-(y(234)*y(308)))/(y(271)*y(308)*y(271)*y(308))));
  g1(56,272)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T850*(-(y(235)*y(309)))/(y(272)*y(309)*y(272)*y(309))));
  g1(56,273)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T855*T844*(-(y(236)*y(310)))/(y(273)*y(310)*y(273)*y(310))));
  g1(56,274)=(-(T837*T837*T837*T1060*(-(y(200)*y(237)))/(y(237)*y(274)*y(237)*y(274))));
  g1(56,275)=(-(T837*T837*T837*T1065*T1054*(-(y(201)*y(238)))/(y(238)*y(275)*y(238)*y(275))));
  g1(56,276)=(-(T837*T837*T837*T1065*T1059*T1048*(-(y(202)*y(239)))/(y(239)*y(276)*y(239)*y(276))));
  g1(56,277)=(-(T837*T837*T837*T1065*T1059*T1053*T1042*(-(y(203)*y(240)))/(y(240)*y(277)*y(240)*y(277))));
  g1(56,278)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1036*(-(y(204)*y(241)))/(y(241)*y(278)*y(241)*y(278))));
  g1(56,279)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1030*(-(y(205)*y(242)))/(y(242)*y(279)*y(242)*y(279))));
  g1(56,280)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1024*(-(y(206)*y(243)))/(y(243)*y(280)*y(243)*y(280))));
  g1(56,281)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1018*(-(y(207)*y(244)))/(y(244)*y(281)*y(244)*y(281))));
  g1(56,282)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1012*(-(y(208)*y(245)))/(y(245)*y(282)*y(245)*y(282))));
  g1(56,283)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1006*(-(y(209)*y(246)))/(y(246)*y(283)*y(246)*y(283))));
  g1(56,284)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1000*(-(y(210)*y(247)))/(y(247)*y(284)*y(247)*y(284))));
  g1(56,285)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T994*(-(y(211)*y(248)))/(y(248)*y(285)*y(248)*y(285))));
  g1(56,286)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T988*(-(y(212)*y(249)))/(y(249)*y(286)*y(249)*y(286))));
  g1(56,287)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T982*(-(y(213)*y(250)))/(y(250)*y(287)*y(250)*y(287))));
  g1(56,288)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T976*(-(y(214)*y(251)))/(y(251)*y(288)*y(251)*y(288))));
  g1(56,289)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T970*(-(y(215)*y(252)))/(y(252)*y(289)*y(252)*y(289))));
  g1(56,290)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T964*(-(y(216)*y(253)))/(y(253)*y(290)*y(253)*y(290))));
  g1(56,291)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T958*(-(y(217)*y(254)))/(y(254)*y(291)*y(254)*y(291))));
  g1(56,292)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T952*(-(y(218)*y(255)))/(y(255)*y(292)*y(255)*y(292))));
  g1(56,293)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T946*(-(y(219)*y(256)))/(y(256)*y(293)*y(256)*y(293))));
  g1(56,294)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T940*(-(y(220)*y(257)))/(y(257)*y(294)*y(257)*y(294))));
  g1(56,295)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T934*(-(y(221)*y(258)))/(y(258)*y(295)*y(258)*y(295))));
  g1(56,296)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T928*(-(y(222)*y(259)))/(y(259)*y(296)*y(259)*y(296))));
  g1(56,297)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T922*(-(y(223)*y(260)))/(y(260)*y(297)*y(260)*y(297))));
  g1(56,298)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T916*(-(y(224)*y(261)))/(y(261)*y(298)*y(261)*y(298))));
  g1(56,299)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T910*(-(y(225)*y(262)))/(y(262)*y(299)*y(262)*y(299))));
  g1(56,300)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T904*(-(y(226)*y(263)))/(y(263)*y(300)*y(263)*y(300))));
  g1(56,301)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T898*(-(y(227)*y(264)))/(y(264)*y(301)*y(264)*y(301))));
  g1(56,302)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T892*(-(y(228)*y(265)))/(y(265)*y(302)*y(265)*y(302))));
  g1(56,303)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T886*(-(y(229)*y(266)))/(y(266)*y(303)*y(266)*y(303))));
  g1(56,304)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T880*(-(y(230)*y(267)))/(y(267)*y(304)*y(267)*y(304))));
  g1(56,305)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T874*(-(y(231)*y(268)))/(y(268)*y(305)*y(268)*y(305))));
  g1(56,306)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T868*(-(y(232)*y(269)))/(y(269)*y(306)*y(269)*y(306))));
  g1(56,307)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T862*(-(y(233)*y(270)))/(y(270)*y(307)*y(270)*y(307))));
  g1(56,308)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T856*(-(y(234)*y(271)))/(y(271)*y(308)*y(271)*y(308))));
  g1(56,309)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T850*(-(y(235)*y(272)))/(y(272)*y(309)*y(272)*y(309))));
  g1(56,310)=(-(T837*T837*T837*T1065*T1059*T1053*T1047*T1041*T1035*T1029*T1023*T1017*T1011*T1005*T999*T993*T987*T981*T975*T969*T963*T957*T951*T945*T939*T933*T927*T921*T915*T909*T903*T897*T891*T885*T879*T873*T867*T861*T855*T844*(-(y(236)*y(273)))/(y(273)*y(310)*y(273)*y(310))));
  g1(57,56)=T3;
  g1(57,57)=1;
  g1(58,57)=T3;
  g1(58,58)=1;
  g1(59,58)=T3;
  g1(59,59)=1;
  g1(60,59)=T3;
  g1(60,60)=1;
  g1(61,60)=T3;
  g1(61,61)=1;
  g1(62,61)=T3;
  g1(62,62)=1;
  g1(63,62)=T3;
  g1(63,63)=1;
  g1(64,63)=T3;
  g1(64,64)=1;
  g1(65,64)=T3;
  g1(65,65)=1;
  g1(66,65)=T3;
  g1(66,66)=1;
  g1(67,66)=T3;
  g1(67,67)=1;
  g1(68,67)=T3;
  g1(68,68)=1;
  g1(69,68)=T3;
  g1(69,69)=1;
  g1(70,69)=T3;
  g1(70,70)=1;
  g1(71,70)=T3;
  g1(71,71)=1;
  g1(72,71)=T3;
  g1(72,72)=1;
  g1(73,72)=T3;
  g1(73,73)=1;
  g1(74,73)=T3;
  g1(74,74)=1;
  g1(75,74)=T3;
  g1(75,75)=1;
  g1(76,75)=T3;
  g1(76,76)=1;
  g1(77,76)=T3;
  g1(77,77)=1;
  g1(78,77)=T3;
  g1(78,78)=1;
  g1(79,78)=T3;
  g1(79,79)=1;
  g1(80,79)=T3;
  g1(80,80)=1;
  g1(81,80)=T3;
  g1(81,81)=1;
  g1(82,81)=T3;
  g1(82,82)=1;
  g1(83,82)=T3;
  g1(83,83)=1;
  g1(84,83)=T3;
  g1(84,84)=1;
  g1(85,84)=T3;
  g1(85,85)=1;
  g1(86,85)=T3;
  g1(86,86)=1;
  g1(87,86)=T3;
  g1(87,87)=1;
  g1(88,87)=T3;
  g1(88,88)=1;
  g1(89,88)=T3;
  g1(89,89)=1;
  g1(90,89)=T3;
  g1(90,90)=1;
  g1(91,90)=T3;
  g1(91,91)=1;
  g1(92,91)=T3;
  g1(92,92)=1;
  g1(93,92)=T3;
  g1(93,93)=1;
  g1(94,93)=T3;
  g1(94,94)=1;
  g1(95,17)=(-(y(54)*(params(8)*y(348))^40/y(310)/y(309)/y(308)/y(307)/y(306)/y(305)/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,19)=(-((y(19)*(y(19)*(-T1188)/(y(19)*y(19))-T1188/y(19))/(y(19)*y(19))-T1190)/(y(19)*y(19))));
  g1(95,54)=(-(y(17)*(params(8)*y(348))^40/y(310)/y(309)/y(308)/y(307)/y(306)/y(305)/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,95)=1;
  g1(95,274)=(-((-T1187)/(y(274)*y(274))/y(19)/y(19)/y(19)));
  g1(95,275)=(-((-T1186)/(y(275)*y(275))/y(274)/y(19)/y(19)/y(19)));
  g1(95,276)=(-((-T1185)/(y(276)*y(276))/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,277)=(-((-T1184)/(y(277)*y(277))/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,278)=(-((-T1183)/(y(278)*y(278))/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,279)=(-((-T1182)/(y(279)*y(279))/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,280)=(-((-T1181)/(y(280)*y(280))/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,281)=(-((-T1180)/(y(281)*y(281))/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,282)=(-((-T1179)/(y(282)*y(282))/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,283)=(-((-T1178)/(y(283)*y(283))/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,284)=(-((-T1177)/(y(284)*y(284))/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,285)=(-((-T1176)/(y(285)*y(285))/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,286)=(-((-T1175)/(y(286)*y(286))/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,287)=(-((-T1174)/(y(287)*y(287))/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,288)=(-((-T1173)/(y(288)*y(288))/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,289)=(-((-T1172)/(y(289)*y(289))/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,290)=(-((-T1171)/(y(290)*y(290))/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,291)=(-((-T1170)/(y(291)*y(291))/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,292)=(-((-T1169)/(y(292)*y(292))/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,293)=(-((-T1168)/(y(293)*y(293))/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,294)=(-((-T1167)/(y(294)*y(294))/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,295)=(-((-T1166)/(y(295)*y(295))/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,296)=(-((-T1165)/(y(296)*y(296))/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,297)=(-((-T1164)/(y(297)*y(297))/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,298)=(-((-T1163)/(y(298)*y(298))/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,299)=(-((-T1162)/(y(299)*y(299))/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,300)=(-((-T1161)/(y(300)*y(300))/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,301)=(-((-T1160)/(y(301)*y(301))/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,302)=(-((-T1159)/(y(302)*y(302))/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,303)=(-((-T1158)/(y(303)*y(303))/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,304)=(-((-T1157)/(y(304)*y(304))/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,305)=(-((-T1156)/(y(305)*y(305))/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,306)=(-((-T1155)/(y(306)*y(306))/y(305)/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,307)=(-((-T1154)/(y(307)*y(307))/y(306)/y(305)/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,308)=(-((-T1153)/(y(308)*y(308))/y(307)/y(306)/y(305)/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,309)=(-((-T1152)/(y(309)*y(309))/y(308)/y(307)/y(306)/y(305)/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,310)=(-((-(y(17)*y(54)*(params(8)*y(348))^40))/(y(310)*y(310))/y(309)/y(308)/y(307)/y(306)/y(305)/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(95,348)=(-(y(17)*y(54)*params(8)*40*(params(8)*y(348))^39/y(310)/y(309)/y(308)/y(307)/y(306)/y(305)/y(304)/y(303)/y(302)/y(301)/y(300)/y(299)/y(298)/y(297)/y(296)/y(295)/y(294)/y(293)/y(292)/y(291)/y(290)/y(289)/y(288)/y(287)/y(286)/y(285)/y(284)/y(283)/y(282)/y(281)/y(280)/y(279)/y(278)/y(277)/y(276)/y(275)/y(274)/y(19)/y(19)/y(19)));
  g1(96,95)=T3;
  g1(96,96)=1;
  g1(97,96)=T3;
  g1(97,97)=1;
  g1(98,97)=T3;
  g1(98,98)=1;
  g1(99,98)=T3;
  g1(99,99)=1;
  g1(100,99)=T3;
  g1(100,100)=1;
  g1(101,100)=T3;
  g1(101,101)=1;
  g1(102,101)=T3;
  g1(102,102)=1;
  g1(103,102)=T3;
  g1(103,103)=1;
  g1(104,103)=T3;
  g1(104,104)=1;
  g1(105,104)=T3;
  g1(105,105)=1;
  g1(106,105)=T3;
  g1(106,106)=1;
  g1(107,106)=T3;
  g1(107,107)=1;
  g1(108,107)=T3;
  g1(108,108)=1;
  g1(109,108)=T3;
  g1(109,109)=1;
  g1(110,109)=T3;
  g1(110,110)=1;
  g1(111,110)=T3;
  g1(111,111)=1;
  g1(112,111)=T3;
  g1(112,112)=1;
  g1(113,112)=T3;
  g1(113,113)=1;
  g1(114,113)=T3;
  g1(114,114)=1;
  g1(115,114)=T3;
  g1(115,115)=1;
  g1(116,115)=T3;
  g1(116,116)=1;
  g1(117,116)=T3;
  g1(117,117)=1;
  g1(118,117)=T3;
  g1(118,118)=1;
  g1(119,118)=T3;
  g1(119,119)=1;
  g1(120,119)=T3;
  g1(120,120)=1;
  g1(121,120)=T3;
  g1(121,121)=1;
  g1(122,121)=T3;
  g1(122,122)=1;
  g1(123,122)=T3;
  g1(123,123)=1;
  g1(124,123)=T3;
  g1(124,124)=1;
  g1(125,124)=T3;
  g1(125,125)=1;
  g1(126,125)=T3;
  g1(126,126)=1;
  g1(127,126)=T3;
  g1(127,127)=1;
  g1(128,127)=T3;
  g1(128,128)=1;
  g1(129,128)=T3;
  g1(129,129)=1;
  g1(130,129)=T3;
  g1(130,130)=1;
  g1(131,130)=T3;
  g1(131,131)=1;
  g1(132,131)=T3;
  g1(132,132)=1;
  g1(133,132)=T3;
  g1(133,133)=1;
  g1(134,41)=T3;
  g1(134,134)=1;
  g1(135,42)=T3;
  g1(135,135)=1;
  g1(136,135)=T3;
  g1(136,136)=1;
  g1(137,43)=T3;
  g1(137,137)=1;
  g1(138,137)=T3;
  g1(138,138)=1;
  g1(139,138)=T3;
  g1(139,139)=1;
  g1(140,44)=T3;
  g1(140,140)=1;
  g1(141,140)=T3;
  g1(141,141)=1;
  g1(142,141)=T3;
  g1(142,142)=1;
  g1(143,142)=T3;
  g1(143,143)=1;
  g1(144,45)=T3;
  g1(144,144)=1;
  g1(145,144)=T3;
  g1(145,145)=1;
  g1(146,145)=T3;
  g1(146,146)=1;
  g1(147,146)=T3;
  g1(147,147)=1;
  g1(148,147)=T3;
  g1(148,148)=1;
  g1(149,46)=T3;
  g1(149,149)=1;
  g1(150,149)=T3;
  g1(150,150)=1;
  g1(151,150)=T3;
  g1(151,151)=1;
  g1(152,151)=T3;
  g1(152,152)=1;
  g1(153,152)=T3;
  g1(153,153)=1;
  g1(154,153)=T3;
  g1(154,154)=1;
  g1(155,47)=T3;
  g1(155,155)=1;
  g1(156,155)=T3;
  g1(156,156)=1;
  g1(157,156)=T3;
  g1(157,157)=1;
  g1(158,157)=T3;
  g1(158,158)=1;
  g1(159,158)=T3;
  g1(159,159)=1;
  g1(160,159)=T3;
  g1(160,160)=1;
  g1(161,160)=T3;
  g1(161,161)=1;
  g1(162,36)=T3;
  g1(162,162)=1;
  g1(163,162)=T3;
  g1(163,163)=1;
  g1(164,163)=T3;
  g1(164,164)=1;
  g1(165,164)=T3;
  g1(165,165)=1;
  g1(166,165)=T3;
  g1(166,166)=1;
  g1(167,166)=T3;
  g1(167,167)=1;
  g1(168,167)=T3;
  g1(168,168)=1;
  g1(169,168)=T3;
  g1(169,169)=1;
  g1(170,169)=T3;
  g1(170,170)=1;
  g1(171,170)=T3;
  g1(171,171)=1;
  g1(172,171)=T3;
  g1(172,172)=1;
  g1(173,172)=T3;
  g1(173,173)=1;
  g1(174,173)=T3;
  g1(174,174)=1;
  g1(175,174)=T3;
  g1(175,175)=1;
  g1(176,175)=T3;
  g1(176,176)=1;
  g1(177,176)=T3;
  g1(177,177)=1;
  g1(178,177)=T3;
  g1(178,178)=1;
  g1(179,178)=T3;
  g1(179,179)=1;
  g1(180,179)=T3;
  g1(180,180)=1;
  g1(181,180)=T3;
  g1(181,181)=1;
  g1(182,181)=T3;
  g1(182,182)=1;
  g1(183,182)=T3;
  g1(183,183)=1;
  g1(184,183)=T3;
  g1(184,184)=1;
  g1(185,184)=T3;
  g1(185,185)=1;
  g1(186,185)=T3;
  g1(186,186)=1;
  g1(187,186)=T3;
  g1(187,187)=1;
  g1(188,187)=T3;
  g1(188,188)=1;
  g1(189,188)=T3;
  g1(189,189)=1;
  g1(190,189)=T3;
  g1(190,190)=1;
  g1(191,190)=T3;
  g1(191,191)=1;
  g1(192,191)=T3;
  g1(192,192)=1;
  g1(193,192)=T3;
  g1(193,193)=1;
  g1(194,193)=T3;
  g1(194,194)=1;
  g1(195,194)=T3;
  g1(195,195)=1;
  g1(196,195)=T3;
  g1(196,196)=1;
  g1(197,196)=T3;
  g1(197,197)=1;
  g1(198,197)=T3;
  g1(198,198)=1;
  g1(199,198)=T3;
  g1(199,199)=1;
  g1(200,49)=T3;
  g1(200,200)=1;
  g1(201,200)=T3;
  g1(201,201)=1;
  g1(202,201)=T3;
  g1(202,202)=1;
  g1(203,202)=T3;
  g1(203,203)=1;
  g1(204,203)=T3;
  g1(204,204)=1;
  g1(205,204)=T3;
  g1(205,205)=1;
  g1(206,205)=T3;
  g1(206,206)=1;
  g1(207,206)=T3;
  g1(207,207)=1;
  g1(208,207)=T3;
  g1(208,208)=1;
  g1(209,208)=T3;
  g1(209,209)=1;
  g1(210,209)=T3;
  g1(210,210)=1;
  g1(211,210)=T3;
  g1(211,211)=1;
  g1(212,211)=T3;
  g1(212,212)=1;
  g1(213,212)=T3;
  g1(213,213)=1;
  g1(214,213)=T3;
  g1(214,214)=1;
  g1(215,214)=T3;
  g1(215,215)=1;
  g1(216,215)=T3;
  g1(216,216)=1;
  g1(217,216)=T3;
  g1(217,217)=1;
  g1(218,217)=T3;
  g1(218,218)=1;
  g1(219,218)=T3;
  g1(219,219)=1;
  g1(220,219)=T3;
  g1(220,220)=1;
  g1(221,220)=T3;
  g1(221,221)=1;
  g1(222,221)=T3;
  g1(222,222)=1;
  g1(223,222)=T3;
  g1(223,223)=1;
  g1(224,223)=T3;
  g1(224,224)=1;
  g1(225,224)=T3;
  g1(225,225)=1;
  g1(226,225)=T3;
  g1(226,226)=1;
  g1(227,226)=T3;
  g1(227,227)=1;
  g1(228,227)=T3;
  g1(228,228)=1;
  g1(229,228)=T3;
  g1(229,229)=1;
  g1(230,229)=T3;
  g1(230,230)=1;
  g1(231,230)=T3;
  g1(231,231)=1;
  g1(232,231)=T3;
  g1(232,232)=1;
  g1(233,232)=T3;
  g1(233,233)=1;
  g1(234,233)=T3;
  g1(234,234)=1;
  g1(235,234)=T3;
  g1(235,235)=1;
  g1(236,235)=T3;
  g1(236,236)=1;
  g1(237,24)=T3;
  g1(237,237)=1;
  g1(238,237)=T3;
  g1(238,238)=1;
  g1(239,238)=T3;
  g1(239,239)=1;
  g1(240,239)=T3;
  g1(240,240)=1;
  g1(241,240)=T3;
  g1(241,241)=1;
  g1(242,241)=T3;
  g1(242,242)=1;
  g1(243,242)=T3;
  g1(243,243)=1;
  g1(244,243)=T3;
  g1(244,244)=1;
  g1(245,244)=T3;
  g1(245,245)=1;
  g1(246,245)=T3;
  g1(246,246)=1;
  g1(247,246)=T3;
  g1(247,247)=1;
  g1(248,247)=T3;
  g1(248,248)=1;
  g1(249,248)=T3;
  g1(249,249)=1;
  g1(250,249)=T3;
  g1(250,250)=1;
  g1(251,250)=T3;
  g1(251,251)=1;
  g1(252,251)=T3;
  g1(252,252)=1;
  g1(253,252)=T3;
  g1(253,253)=1;
  g1(254,253)=T3;
  g1(254,254)=1;
  g1(255,254)=T3;
  g1(255,255)=1;
  g1(256,255)=T3;
  g1(256,256)=1;
  g1(257,256)=T3;
  g1(257,257)=1;
  g1(258,257)=T3;
  g1(258,258)=1;
  g1(259,258)=T3;
  g1(259,259)=1;
  g1(260,259)=T3;
  g1(260,260)=1;
  g1(261,260)=T3;
  g1(261,261)=1;
  g1(262,261)=T3;
  g1(262,262)=1;
  g1(263,262)=T3;
  g1(263,263)=1;
  g1(264,263)=T3;
  g1(264,264)=1;
  g1(265,264)=T3;
  g1(265,265)=1;
  g1(266,265)=T3;
  g1(266,266)=1;
  g1(267,266)=T3;
  g1(267,267)=1;
  g1(268,267)=T3;
  g1(268,268)=1;
  g1(269,268)=T3;
  g1(269,269)=1;
  g1(270,269)=T3;
  g1(270,270)=1;
  g1(271,270)=T3;
  g1(271,271)=1;
  g1(272,271)=T3;
  g1(272,272)=1;
  g1(273,272)=T3;
  g1(273,273)=1;
  g1(274,19)=T3;
  g1(274,274)=1;
  g1(275,274)=T3;
  g1(275,275)=1;
  g1(276,275)=T3;
  g1(276,276)=1;
  g1(277,276)=T3;
  g1(277,277)=1;
  g1(278,277)=T3;
  g1(278,278)=1;
  g1(279,278)=T3;
  g1(279,279)=1;
  g1(280,279)=T3;
  g1(280,280)=1;
  g1(281,280)=T3;
  g1(281,281)=1;
  g1(282,281)=T3;
  g1(282,282)=1;
  g1(283,282)=T3;
  g1(283,283)=1;
  g1(284,283)=T3;
  g1(284,284)=1;
  g1(285,284)=T3;
  g1(285,285)=1;
  g1(286,285)=T3;
  g1(286,286)=1;
  g1(287,286)=T3;
  g1(287,287)=1;
  g1(288,287)=T3;
  g1(288,288)=1;
  g1(289,288)=T3;
  g1(289,289)=1;
  g1(290,289)=T3;
  g1(290,290)=1;
  g1(291,290)=T3;
  g1(291,291)=1;
  g1(292,291)=T3;
  g1(292,292)=1;
  g1(293,292)=T3;
  g1(293,293)=1;
  g1(294,293)=T3;
  g1(294,294)=1;
  g1(295,294)=T3;
  g1(295,295)=1;
  g1(296,295)=T3;
  g1(296,296)=1;
  g1(297,296)=T3;
  g1(297,297)=1;
  g1(298,297)=T3;
  g1(298,298)=1;
  g1(299,298)=T3;
  g1(299,299)=1;
  g1(300,299)=T3;
  g1(300,300)=1;
  g1(301,300)=T3;
  g1(301,301)=1;
  g1(302,301)=T3;
  g1(302,302)=1;
  g1(303,302)=T3;
  g1(303,303)=1;
  g1(304,303)=T3;
  g1(304,304)=1;
  g1(305,304)=T3;
  g1(305,305)=1;
  g1(306,305)=T3;
  g1(306,306)=1;
  g1(307,306)=T3;
  g1(307,307)=1;
  g1(308,307)=T3;
  g1(308,308)=1;
  g1(309,308)=T3;
  g1(309,309)=1;
  g1(310,309)=T3;
  g1(310,310)=1;
  g1(311,33)=T3;
  g1(311,311)=1;
  g1(312,311)=T3;
  g1(312,312)=1;
  g1(313,312)=T3;
  g1(313,313)=1;
  g1(314,313)=T3;
  g1(314,314)=1;
  g1(315,314)=T3;
  g1(315,315)=1;
  g1(316,315)=T3;
  g1(316,316)=1;
  g1(317,316)=T3;
  g1(317,317)=1;
  g1(318,317)=T3;
  g1(318,318)=1;
  g1(319,318)=T3;
  g1(319,319)=1;
  g1(320,319)=T3;
  g1(320,320)=1;
  g1(321,320)=T3;
  g1(321,321)=1;
  g1(322,321)=T3;
  g1(322,322)=1;
  g1(323,322)=T3;
  g1(323,323)=1;
  g1(324,323)=T3;
  g1(324,324)=1;
  g1(325,324)=T3;
  g1(325,325)=1;
  g1(326,325)=T3;
  g1(326,326)=1;
  g1(327,326)=T3;
  g1(327,327)=1;
  g1(328,327)=T3;
  g1(328,328)=1;
  g1(329,328)=T3;
  g1(329,329)=1;
  g1(330,329)=T3;
  g1(330,330)=1;
  g1(331,330)=T3;
  g1(331,331)=1;
  g1(332,331)=T3;
  g1(332,332)=1;
  g1(333,332)=T3;
  g1(333,333)=1;
  g1(334,333)=T3;
  g1(334,334)=1;
  g1(335,334)=T3;
  g1(335,335)=1;
  g1(336,335)=T3;
  g1(336,336)=1;
  g1(337,336)=T3;
  g1(337,337)=1;
  g1(338,337)=T3;
  g1(338,338)=1;
  g1(339,338)=T3;
  g1(339,339)=1;
  g1(340,339)=T3;
  g1(340,340)=1;
  g1(341,340)=T3;
  g1(341,341)=1;
  g1(342,341)=T3;
  g1(342,342)=1;
  g1(343,342)=T3;
  g1(343,343)=1;
  g1(344,343)=T3;
  g1(344,344)=1;
  g1(345,344)=T3;
  g1(345,345)=1;
  g1(346,345)=T3;
  g1(346,346)=1;
  g1(347,346)=T3;
  g1(347,347)=1;
  g1(348,347)=T3;
  g1(348,348)=1;
  if ~isreal(g1)
    g1 = real(g1)+imag(g1).^2;
  end
end
if nargout >= 3,
%
% Hessian matrix
%

  g2 = sparse([],[],[],348,121104);
end
end
