function pltt(lyHP,spreadHP,dy,dS,premiumHP,dpremium,creditHP,dcr,liHP,di,equityHP,dequity,consHP,dcons,inflHP,dinfl,df,yoy)
dbstop at 14
ia=2;
ib=4;
l=2;
thet=1;
lag=12;
conf=1;%plot a shaded area for the empirical confidence interval on the correlation, and not the point estimate
saving=0;%if unity, save the model cross-correlations to a mat file. Otherwise, read it from there.
inflat=0;%if zero, delete inflation panel in graphs
adj=1;%if unity, compute the correlation function in a way that all data are used for each correlation


%model
[V,rnwHP,snsw,B,S,T]=correlate(lyHP,spreadHP,lag,thet,l);
%data
[V,rnw,snsw,B,S,T]=correlate(dy,dS,lag,thet,l);
%correlate computes each correlation using the same data length data set,
%so a lot of data are discarded. corr_ uses all data available to compute
%each correlation
if adj == 1
    [cc] = corr_(dy,dS,lag);
    rnw(1:2*lag+1)=cc';
end

nn=[-lag:lag];
ttp=1:length(rnwHP);
ttm=length(rnwHP):-1:1;
if saving == 1
    rnw_pert=rnwHP;
    if df==0
        save corr_slope_HP rnw_pert
    else
        save corr_slope_diff rnw_pert
    end
else
    if df==0
        load corr_slope_HP rnw_pert
    else
        load corr_slope_diff rnw_pert
    end
end
if inflat==1;q=8;end
if inflat==0;q=7;end
subplot(ia,ib,q)
do_plot
if inflat==1
    title('H. corr(output(t),slope(t-k))');
else
    title('G. corr(output(t),slope(t-k))');
end

xlabel('k')
axis tight
if saving ~= 1
    legend('','only risk shocks (anticipated and unanticipated)','all shocks')
end

if conf ~= 1
    if df == 0
        legend('HP filtered data','HP filtered model','upper conf','lower conf');
    elseif df == 1
        if yoy==0
            legend('quarterly differenced data','quarterly differenced model','upper conf','lower conf');
        else
            legend('y-o-y differenced data','y-o-y differenced model','upper conf','lower conf');
        end
    end
end
%model
[V,rnwHP,snsw,B,S,T]=correlate(lyHP,premiumHP,lag,thet,l);
%data
[V,rnw,snsw,B,S,T]=correlate(dy,dpremium,lag,thet,l);
if adj == 1
    [cc] = corr_(dy,dpremium,lag);
    rnw(1:2*lag+1)=cc';
end

if saving == 1
    rnw_pert=rnwHP;
    if df==0
        save corr_premium_HP rnw_pert
    else
        save corr_premium_diff rnw_pert
    end
else
    if df==0
        load corr_premium_HP rnw_pert
    else
        load corr_premium_diff rnw_pert
    end
end
subplot(ia,ib,1)
do_plot
title('A. corr(output(t),premium(t-k))')
xlabel('k')
axis tight

%model
[V,rnwHP,snsw,B,S,T]=correlate(lyHP,creditHP,lag,thet,l);
%data
[V,rnw,snsw,B,S,T]=correlate(dy,dcr,lag,thet,l);
if adj == 1
    [cc] = corr_(dy,dcr,lag);
    rnw(1:2*lag+1)=cc';
end
if saving == 1
    rnw_pert=rnwHP;
    if df==0
        save corr_credit_HP rnw_pert
    else
        save corr_credit_diff rnw_pert
    end
else
    if df==0
        load corr_credit_HP rnw_pert
    else
        load corr_credit_diff rnw_pert
    end
end

subplot(ia,ib,2)
do_plot
title('B. corr(output(t),credit(t-k))')
xlabel('k')
axis tight

%model
[V,rnwHP,snsw,B,S,T]=correlate(lyHP,liHP,lag,thet,l);

%data
[V,rnw,snsw,B,S,T]=correlate(dy,di,lag,thet,l);
if adj == 1
    [cc] = corr_(dy,di,lag);
    rnw(1:2*lag+1)=cc';
end
if saving == 1
    rnw_pert=rnwHP;
    if df==0
        save corr_invest_HP rnw_pert
    else
        save corr_invest_diff rnw_pert
    end
else
    if df==0
        load corr_invest_HP rnw_pert
    else
        load corr_invest_diff rnw_pert
    end
end

subplot(ia,ib,3)
do_plot
title('C. corr(output(t),investment(t-k))')
xlabel('k')
axis tight

%model
[V,rnwHP,snsw,B,S,T]=correlate(lyHP,lyHP,lag,thet,l);

%data
[V,rnw,snsw,B,S,T]=correlate(dy,dy,lag,thet,l);
if adj == 1
    [cc] = corr_(dy,dy,lag);
    rnw(1:2*lag+1)=cc';
end
if saving == 1
    rnw_pert=rnwHP;
    if df==0
        save corr_output_HP rnw_pert
    else
        save corr_output_diff rnw_pert
    end
else
    if df==0
        load corr_output_HP rnw_pert
    else
        load corr_output_diff rnw_pert
    end
end

subplot(ia,ib,4)
do_plot
title('D. corr(output(t),output(t-k))')
xlabel('k')
axis tight

%model
[V,rnwHP,snsw,B,S,T]=correlate(lyHP,equityHP,lag,thet,l);

%data
[V,rnw,snsw,B,S,T]=correlate(dy,dequity,lag,thet,l);
if adj == 1
    [cc] = corr_(dy,dequity,lag);
    rnw(1:2*lag+1)=cc';
end

if saving == 1
    rnw_pert=rnwHP;
    if df==0
        save corr_equity_HP rnw_pert
    else
        save corr_equity_diff rnw_pert
    end
else
    if df==0
        load corr_equity_HP rnw_pert
    else
        load corr_equity_diff rnw_pert
    end
end

subplot(ia,ib,5)
do_plot
title('E. corr(output(t),equity(t-k))')
xlabel('k')
axis tight

%model
[V,rnwHP,snsw,B,S,T]=correlate(lyHP,consHP,lag,thet,l);
%data
[V,rnw,snsw,B,S,T]=correlate(dy,dcons,lag,thet,l);
if adj == 1
    [cc] = corr_(dy,dcons,lag);
    rnw(1:2*lag+1)=cc';
end

if saving == 1
    rnw_pert=rnwHP;
    if df==0
        save corr_cons_HP rnw_pert
    else
        save corr_cons_diff rnw_pert
    end
else
    if df==0
        load corr_cons_HP rnw_pert
    else
        load corr_cons_diff rnw_pert
    end
end

subplot(ia,ib,6)
do_plot
title('F. corr(output(t),consumption(t-k))')
xlabel('k')
axis tight

if inflat == 1
    %model
    [V,rnwHP,snsw,B,S,T]=correlate(lyHP,inflHP,lag,thet,l);
    %data
    [V,rnw,snsw,B,S,T]=correlate(dy,dinfl,lag,thet,l);
    if adj == 1
        [cc] = corr_(dy,dinfl,lag);
        rnw(1:2*lag+1)=cc';
    end
    if saving == 1
        rnw_pert=rnwHP;
        if df==0
            save corr_infl_HP rnw_pert
        else
            save corr_infl_diff rnw_pert
        end
    else
        if df==0
            load corr_infl_HP rnw_pert
        else
            load corr_infl_diff rnw_pert
        end
    end
    
    subplot(ia,ib,7)
    do_plot
    title('G. corr(output(t),inflation(t-k))')
    xlabel('k')
    axis tight
end

%dbstop at 214
fid = fopen('corrs.txt','w');
fprintf(fid,' variable              -  data       model     data/std(y_data)     model/std(y_model)    model/data \n');
fprintf(fid,' output                - %8.5f  %8.5f     %4.3f                  %4.3f                  %5.3f\n',std(dy),std(lyHP),std(dy)/std(dy),std(lyHP)/std(lyHP),std(lyHP)/std(dy));
fprintf(fid,' consumption           - %8.5f  %8.5f     %4.3f                  %4.3f                  %5.3f\n',std(dcons),std(consHP),std(dcons)/std(dy),std(consHP)/std(lyHP),std(consHP)/std(dcons));
fprintf(fid,' investment            - %8.5f  %8.5f     %4.3f                  %4.3f                  %5.3f\n',std(di),std(liHP),std(di)/std(dy),std(liHP)/std(lyHP),std(liHP)/std(di));
fprintf(fid,' inflation             - %8.5f  %8.5f     %4.3f                  %4.3f                  %5.3f\n',std(dinfl),std(inflHP),std(dinfl)/std(dy),std(inflHP)/std(lyHP),std(inflHP)/std(dinfl));
fprintf(fid,' term_premium          - %8.5f  %8.5f     %4.3f                  %4.3f                 %5.3f\n',std(dS),std(spreadHP),std(dS)/std(dy),std(spreadHP)/std(lyHP),std(spreadHP)/std(dS));
fprintf(fid,' interest_rate_premium - %8.5f  %8.5f     %4.3f                  %4.3f                  %5.3f\n',std(dpremium),std(premiumHP),std(dpremium)/std(dy),std(premiumHP)/std(lyHP),std(premiumHP)/std(dpremium));
fprintf(fid,' credit                - %8.5f  %8.5f     %4.3f                  %4.3f                  %5.3f\n',std(dcr),std(creditHP),std(dcr)/std(dy),std(creditHP)/std(lyHP),std(creditHP)/std(dcr));
fprintf(fid,' equity                - %8.5f  %8.5f     %4.3f                  %4.3f                  %5.3f\n',std(dequity),std(equityHP),std(dequity)/std(dy),std(equityHP)/std(lyHP),std(equityHP)/std(dequity));
fclose(fid);
type corrs.txt